	.module WP12_LEDs.c
	.area text(rom, con, rel)
	.dbfile C:\DOCUME~1\Steve\Desktop\Billys_files\docs\AMBERW~1\WLP12S~1\test\WP12_LEDs.c
	.dbfunc e InitLED _InitLED fV
	.even
_InitLED::
	.dbline -1
	.dbline 53
; /**************************************************************
; 
;    Program Title:  
;    
;    Program Name: WP12_LEDs.c 		  Version: 0.01
;    
;    Author:  WR	  				  Date:  Febuary 29th, 2008
;    
;    Compiled with ImageCraft ICCAVR Standard V7.1
;    
;    Copyright 2004-2008, SOC Machines, Inc.  All rights reserved.
;    
; ****************************************************************/
; /*
;  * Copyright (C) 2008 by SOC Machines, Inc. All rights reserved.
;  *
;  * Redistribution and use in source and binary forms, with or without
;  * modification, are permitted provided that the following conditions
;  * are met:
;  *
;  * 1. Redistributions of source code must retain the above copyright
;  *    notice, this list of conditions and the following disclaimer.
;  * 2. Redistributions in binary form must reproduce the above copyright
;  *    notice, this list of conditions and the following disclaimer in the
;  *    documentation and/or other materials provided with the distribution.
;  * 3. Neither the name of the copyright holders nor the names of
;  *    contributors may be used to endorse or promote products derived
;  *    from this software without specific prior written permission.
;  * 4. Redistribution is only allowed in combination with SOC Machines, 
;  *    Inc. hardware products.
;  *
;  * THIS SOFTWARE IS PROVIDED BY SOC MACHINES, INC. AND CONTRIBUTORS
;  * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
;  * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
;  * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SOC MACHINES, 
;  * INC. OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
;  * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
;  * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
;  * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
;  * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
;  * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF
;  * THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
;  * SUCH DAMAGE.
;  *
;  * For additional information see http://www.soc-machines.com
;  */
; 
; 
; #include "WP12_LEDs.h"
; #include <dev/board.h>
; 
; void InitLED(void)
; {
	.dbline 54
;  	 DDRD |= (1<<LED1);
	sbi 0x11,5
	.dbline 55
; 	 DDRD |= (1<<LED2);
	sbi 0x11,7
	.dbline -2
L1:
	.dbline 0 ; func end
	ret
	.dbend
	.dbfunc e turnOnLED _turnOnLED fV
;            led -> R10
	.even
_turnOnLED::
	st -y,R10
	mov R10,R16
	.dbline -1
	.dbline 59
; }
; 
; void turnOnLED(unsigned char led)
; {
	.dbline 60
;  	 PORTD &= ~(1<<led);
	ldi R16,1
	mov R17,R10
	xcall lsl8
	mov R2,R16
	com R2
	in R3,0x12
	and R3,R2
	out 0x12,R3
	.dbline -2
L2:
	.dbline 0 ; func end
	ld R10,y+
	ret
	.dbsym r led 10 c
	.dbend
	.dbfunc e turnOffLED _turnOffLED fV
;            led -> R10
	.even
_turnOffLED::
	st -y,R10
	mov R10,R16
	.dbline -1
	.dbline 64
; }
; 
; void turnOffLED(unsigned char led)
; {
	.dbline 65
;  	 PORTD |= (1<<led);
	ldi R16,1
	mov R17,R10
	xcall lsl8
	in R2,0x12
	or R2,R16
	out 0x12,R2
	.dbline -2
L3:
	.dbline 0 ; func end
	ld R10,y+
	ret
	.dbsym r led 10 c
	.dbend
; }
