	.module WP12_LCD.c
	.area text(rom, con, rel)
	.dbfile C:\DOCUME~1\Steve\Desktop\Billys_files\docs\AMBERW~1\WLP12S~1\test\WP12_LCD.c
	.area lit(rom, con, rel)
_line1chars::
	.byte 'A,'m
	.byte 'b,'e
	.byte 'r,32
	.byte 'P,'r
	.byte 'o,'t
	.byte 'o,32
	.byte 0
	.dbsym e line1chars _line1chars A[13:13]kc
_line2chars::
	.byte 'V,'e
	.byte 'r,'s
	.byte 'i,'o
	.byte 'n,32
	.byte 49,46
	.byte 48,49
	.byte 0
	.dbsym e line2chars _line2chars A[13:13]kc
_line3chars::
	.byte 'S,'O
	.byte 'C,32
	.byte 'R,'o
	.byte 'b,'o
	.byte 't,'i
	.byte 'c,'s
	.byte 0
	.dbsym e line3chars _line3chars A[13:13]kc
_line4chars::
	.byte 'w,'a
	.byte 'i,'t
	.byte 'i,'n
	.byte 'g,32
	.byte 32,32
	.byte 32,32
	.byte 0
	.dbsym e line4chars _line4chars A[13:13]kc
	.area text(rom, con, rel)
	.dbfile C:\DOCUME~1\Steve\Desktop\Billys_files\docs\AMBERW~1\WLP12S~1\test\WP12_LCD.c
	.dbfunc e LCDWriteSerialByte _LCDWriteSerialByte fV
;           mask -> R20
;              i -> R22
;         inchar -> R16
	.even
_LCDWriteSerialByte::
	st -y,R20
	st -y,R22
	.dbline -1
	.dbline 104
; /**************************************************************
; 
;    Program Title:  
;    
;    Program Name: WP12_LCD.c 		  Version: 0.01
;    
;    Author:  SS/WR	  				  Date:  Febuary 29th, 2008
;    
;    Compiled with ImageCraft ICCAVR Standard V7.1
;    
;    Copyright 2004-2008, SOC Machines, Inc.  All rights reserved.
;    
; ****************************************************************/
; /*
;  * Copyright (C) 2008 by SOC Machines, Inc. All rights reserved.
;  *
;  * Redistribution and use in source and binary forms, with or without
;  * modification, are permitted provided that the following conditions
;  * are met:
;  *
;  * 1. Redistributions of source code must retain the above copyright
;  *    notice, this list of conditions and the following disclaimer.
;  * 2. Redistributions in binary form must reproduce the above copyright
;  *    notice, this list of conditions and the following disclaimer in the
;  *    documentation and/or other materials provided with the distribution.
;  * 3. Neither the name of the copyright holders nor the names of
;  *    contributors may be used to endorse or promote products derived
;  *    from this software without specific prior written permission.
;  * 4. Redistribution is only allowed in combination with SOC Machines, 
;  *    Inc. hardware products.
;  *
;  * THIS SOFTWARE IS PROVIDED BY SOC MACHINES, INC. AND CONTRIBUTORS
;  * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
;  * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
;  * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SOC MACHINES, 
;  * INC. OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
;  * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
;  * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
;  * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
;  * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
;  * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF
;  * THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
;  * SUCH DAMAGE.
;  *
;  * For additional information see http://www.soc-machines.com
;  */
; 
; 
; 
; 
; #include <dev/board.h>
; 
; #include <cfg/os.h>
; 
; #include <string.h>
; #include <io.h>
; #include <fcntl.h>
; 
; #include <dev/board.h>
; #include <dev/urom.h>
; #include <dev/nplmmc.h>
; #include <dev/sbimmc.h>
; #include <fs/phatfs.h>
; 
; #include <sys/version.h>
; #include <sys/thread.h>
; #include <sys/timer.h>
; #include <sys/heap.h>
; #include <sys/confnet.h>
; #include <sys/socket.h>
; 
; #include <arpa/inet.h>
; #include <net/route.h>
; 
; #include <pro/httpd.h>
; #include <pro/dhcp.h>
; #include <pro/ssi.h>
; #include <pro/asp.h>
; #include <pro/discover.h>
; 
; #include "WP12_LCD.h"
; 
; 
; 
; const unsigned char line1chars[] = {'A','m','b','e','r',' ','P','r','o','t','o',' ',0x00};
; const unsigned char line2chars[] = {'V','e','r','s','i','o','n',' ','1','.','0','1',0x00};
; const unsigned char line3chars[] = {'S','O','C',' ','R','o','b','o','t','i','c','s',0x00};
; const unsigned char line4chars[] = {'w','a','i','t','i','n','g',' ',' ',' ',' ',' ',0x00};
; unsigned char line1[13],line2[13],line3[13],line4[13];
; unsigned char cursorposition,cursormax,rowptr,colptr,lineptr,escmode;
; unsigned char lcdphoneantennasymbols,lcdstate,symbolmode,voltagevolume;
; unsigned char lcdchiptype;
; //frameerror,dataoverrun,numstrg[9],
; 
; unsigned char hexbyte[3];
; 
; unsigned int count;
; //seconds,minutes,hours,days,
; 
; char  flip2;
; //rxcnt,checkflag,rxcntmax,
; 
; void   LCDWriteSerialByte(unsigned char inchar)
; {
	.dbline 107
;  	unsigned char i,mask;
; 
; 	mask = 0x80;
	ldi R20,128
	.dbline 108
; 	for(i=0; i<8; i++) {
	clr R22
	xjmp L5
L2:
	.dbline 108
	.dbline 109
; 	    ClrBit(LCDDATA,LCD_SCLK);
	cbi 0x18,4
	.dbline 110
; 		if((inchar&mask)) SetBit(LCDDATA,LCD_SI);
	mov R2,R16
	and R2,R20
	breq L6
X0:
	.dbline 110
	sbi 0x18,0
	xjmp L7
L6:
	.dbline 111
; 		else ClrBit(LCDDATA,LCD_SI);
	cbi 0x18,0
L7:
	.dbline 112
; 		mask >>= 1;
	lsr R20
	.dbline 113
; 		SetBit(LCDDATA,LCD_SCLK);
	sbi 0x18,4
	.dbline 114
; 	    }
L3:
	.dbline 108
	inc R22
L5:
	.dbline 108
	cpi R22,8
	brlo L2
X1:
	.dbline -2
L1:
	.dbline 0 ; func end
	ld R22,y+
	ld R20,y+
	ret
	.dbsym r mask 20 c
	.dbsym r i 22 c
	.dbsym r inchar 16 c
	.dbend
	.dbfunc e LCDprintchar _LCDprintchar fV
;         inchar -> R10
	.even
_LCDprintchar::
	st -y,R10
	mov R10,R16
	.dbline -1
	.dbline 118
; }
; 
; void   LCDprintchar(unsigned char inchar)
; {
	.dbline 119
; 	LCDCONTROL |= BIT(LA0); // raise A0 high
	sbi 0x18,1
	.dbline 120
; 	LCDCONTROL &= ~BIT(CS); // set CS low
	cbi 0x18,2
	.dbline 121
; 	ShortDelay(1);
	ldi R16,1
	ldi R17,0
	xcall _ShortDelay
	.dbline 122
; 	LCDWriteSerialByte(inchar);
	mov R16,R10
	xcall _LCDWriteSerialByte
	.dbline 123
; 	LCDCONTROL |= BIT(CS); // release CS
	sbi 0x18,2
	.dbline 124
; 	ShortDelay(2);
	ldi R16,2
	ldi R17,0
	xcall _ShortDelay
	.dbline -2
L8:
	.dbline 0 ; func end
	ld R10,y+
	ret
	.dbsym r inchar 10 c
	.dbend
	.dbfunc e LCDwritecommand _LCDwritecommand fV
;         inchar -> R10
	.even
_LCDwritecommand::
	st -y,R10
	mov R10,R16
	.dbline -1
	.dbline 128
; }
; 
; void   LCDwritecommand(unsigned char inchar)
; { 		
	.dbline 129
; 	LCDCONTROL &= ~BIT(LA0); /* set A0 low */
	cbi 0x18,1
	.dbline 130
; 	LCDCONTROL &= ~BIT(CS);  /* set RS low */
	cbi 0x18,2
	.dbline 131
; 	ShortDelay(1);
	ldi R16,1
	ldi R17,0
	xcall _ShortDelay
	.dbline 132
; 	LCDWriteSerialByte(inchar);
	mov R16,R10
	xcall _LCDWriteSerialByte
	.dbline 133
; 	LCDCONTROL |= BIT(CS); // release CS
	sbi 0x18,2
	.dbline 134
; 	ShortDelay(2);
	ldi R16,2
	ldi R17,0
	xcall _ShortDelay
	.dbline -2
L9:
	.dbline 0 ; func end
	ld R10,y+
	ret
	.dbsym r inchar 10 c
	.dbend
	.dbfunc e LCDDisplayChar _LCDDisplayChar fV
;         inchar -> R10
;        address -> R20
	.even
_LCDDisplayChar::
	st -y,R10
	st -y,R20
	mov R10,R18
	mov R20,R16
	.dbline -1
	.dbline 140
; }
; 
; 
; 
; void   LCDDisplayChar(unsigned char address, unsigned char inchar)
; {
	.dbline 141
;  	LCDwritecommand(LCDRAMADDRESS|address);
	mov R16,R20
	ori R16,128
	xcall _LCDwritecommand
	.dbline 142
; 	LCDprintchar(inchar);
	mov R16,R10
	xcall _LCDprintchar
	.dbline -2
L10:
	.dbline 0 ; func end
	ld R20,y+
	ld R10,y+
	ret
	.dbsym r inchar 10 c
	.dbsym r address 20 c
	.dbend
	.dbfunc e LCD_Write _LCD_Write fV
;           data -> R10
;        address -> R20
	.even
_LCD_Write::
	st -y,R10
	st -y,R20
	mov R10,R18
	mov R20,R16
	.dbline -1
	.dbline 146
; }
; 
; void LCD_Write(unsigned char address,unsigned char data)
; {
	.dbline 147
; 	LCDwritecommand(LCDRAMADDRESS|address);
	mov R16,R20
	ori R16,128
	xcall _LCDwritecommand
	.dbline 148
; 	LCDprintchar(data);
	mov R16,R10
	xcall _LCDprintchar
	.dbline -2
L11:
	.dbline 0 ; func end
	ld R20,y+
	ld R10,y+
	ret
	.dbsym r data 10 c
	.dbsym r address 20 c
	.dbend
	.dbfunc e LCDdisplays _LCDdisplays fV
;              j -> <dead>
;              i -> R20
;         instrg -> R10,R11
;        address -> R22
	.even
_LCDdisplays::
	xcall push_xgsetF00C
	movw R10,R18
	mov R22,R16
	.dbline -1
	.dbline 152
; }
; 
; void   LCDdisplays(unsigned char address, char *instrg)
; {
	.dbline 155
; 	char i,j;
; 
; 	i = 0;
	clr R20
	.dbline 156
; 	LCDwritecommand(LCDRAMADDRESS|address);
	mov R16,R22
	ori R16,128
	xcall _LCDwritecommand
	xjmp L14
L13:
	.dbline 157
; 	while(instrg[i]!=0x00) LCDprintchar(instrg[i++]);
	mov R2,R20
	clr R3
	subi R20,255    ; addi 1
	mov R30,R2
	clr R31
	add R30,R10
	adc R31,R11
	ldd R16,z+0
	xcall _LCDprintchar
L14:
	.dbline 157
	mov R30,R20
	clr R31
	add R30,R10
	adc R31,R11
	ldd R2,z+0
	tst R2
	brne L13
X2:
	.dbline -2
L12:
	.dbline 0 ; func end
	xjmp pop_xgsetF00C
	.dbsym l j 1 c
	.dbsym r i 20 c
	.dbsym r instrg 10 pc
	.dbsym r address 22 c
	.dbend
	.dbfunc e LCDprints _LCDprints fV
;              j -> R22
;              i -> R20
;         instrg -> R10,R11
	.even
_LCDprints::
	xcall push_xgsetF00C
	movw R10,R16
	.dbline -1
	.dbline 162
; 
; }
; 
; void   LCDprints(char *instrg)
; {
	.dbline 165
; 	char i,j;
; 
; 	i = 0;
	clr R20
	xjmp L18
L17:
	.dbline 166
; 	while(instrg[i]!=0x00) {
	.dbline 167
; 		if(cursorposition>=cursormax) {
	lds R2,_cursormax
	lds R3,_cursorposition
	cp R3,R2
	brlo L20
X3:
	.dbline 167
	.dbline 168
; 		   cursorposition = 0;
	clr R2
	sts _cursorposition,R2
	.dbline 169
; 		   return ; // or wrap line
	xjmp L16
L20:
	.dbline 171
; 		   }
; 		else  {
	.dbline 172
; 			  if(instrg[i]==LF) LCDwritecommand(LCDCLR);
	mov R30,R20
	clr R31
	add R30,R10
	adc R31,R11
	ldd R24,z+0
	cpi R24,10
	brne L22
X4:
	.dbline 172
	ldi R16,1
	xcall _LCDwritecommand
	xjmp L23
L22:
	.dbline 173
; 			  else if(instrg[i]==CR) LCDwritecommand(LCDHOME);
	mov R30,R20
	clr R31
	add R30,R10
	adc R31,R11
	ldd R24,z+0
	cpi R24,13
	brne L24
X5:
	.dbline 173
	ldi R16,16
	xcall _LCDwritecommand
	xjmp L25
L24:
	.dbline 174
; 			  else if(instrg[i]==TAB) for(j=0; j<6; j++) LCDprintchar(0x20);
	mov R30,R20
	clr R31
	add R30,R10
	adc R31,R11
	ldd R24,z+0
	cpi R24,9
	brne L26
X6:
	.dbline 174
	clr R22
	xjmp L31
L28:
	.dbline 174
	ldi R16,32
	xcall _LCDprintchar
L29:
	.dbline 174
	inc R22
L31:
	.dbline 174
	cpi R22,6
	brlo L28
X7:
	xjmp L27
L26:
	.dbline 175
; 			  else LCDprintchar(instrg[i++]);
	mov R2,R20
	clr R3
	subi R20,255    ; addi 1
	mov R30,R2
	clr R31
	add R30,R10
	adc R31,R11
	ldd R16,z+0
	xcall _LCDprintchar
L27:
L25:
L23:
	.dbline 176
; 			  cursorposition++;
	lds R24,_cursorposition
	subi R24,255    ; addi 1
	sts _cursorposition,R24
	.dbline 177
; 			  }
	.dbline 178
; 		}
L18:
	.dbline 166
	mov R30,R20
	clr R31
	add R30,R10
	adc R31,R11
	ldd R2,z+0
	tst R2
	breq X9
	xjmp L17
X9:
X8:
	.dbline -2
L16:
	.dbline 0 ; func end
	xjmp pop_xgsetF00C
	.dbsym r j 22 c
	.dbsym r i 20 c
	.dbsym r instrg 10 pc
	.dbend
	.dbfunc e LCD_Symbols _LCD_Symbols fV
;              i -> R20,R21
;          state -> R22
	.even
_LCD_Symbols::
	xcall push_xgsetF000
	mov R22,R16
	.dbline -1
	.dbline 182
; }
; 
; void LCD_Symbols(unsigned char state)
; { 	 
	.dbline 185
; 	 int i;
; 	 
; 	 if(state==ON) {
	cpi R22,1
	brne L33
X10:
	.dbline 185
	.dbline 186
; 	 	 LCDwritecommand(LCDRAMADDRESS|0x70);
	ldi R16,240
	xcall _LCDwritecommand
	.dbline 187
; 	 	 for(i=0; i<12; i++)  LCDprintchar(0x0b);
	clr R20
	clr R21
L35:
	.dbline 187
	ldi R16,11
	xcall _LCDprintchar
L36:
	.dbline 187
	subi R20,255  ; offset = 1
	sbci R21,255
	.dbline 187
	cpi R20,12
	ldi R30,0
	cpc R21,R30
	brlt L35
X11:
	.dbline 188
; 		 }
	xjmp L34
L33:
	.dbline 189
; 	 else if(state==OFF) {
	tst R22
	brne L39
X12:
	.dbline 189
	.dbline 190
; 	 	 LCDwritecommand(LCDRAMADDRESS|0x70);
	ldi R16,240
	xcall _LCDwritecommand
	.dbline 191
; 	 	 for(i=0; i<12; i++)  LCDprintchar(0x00);
	clr R20
	clr R21
L41:
	.dbline 191
	clr R16
	xcall _LCDprintchar
L42:
	.dbline 191
	subi R20,255  ; offset = 1
	sbci R21,255
	.dbline 191
	cpi R20,12
	ldi R30,0
	cpc R21,R30
	brlt L41
X13:
	.dbline 192
; 		 }
L39:
L34:
	.dbline -2
L32:
	.dbline 0 ; func end
	xjmp pop_xgsetF000
	.dbsym r i 20 I
	.dbsym r state 22 c
	.dbend
	.dbfunc e SetBuffers _SetBuffers fV
;              i -> R20
;         inchar -> R16
	.even
_SetBuffers::
	st -y,R20
	.dbline -1
	.dbline 196
; }
; 
; void SetBuffers(unsigned char inchar)
; {
	.dbline 199
;  	 unsigned char i;
; 	 
; 	 for(i=0; i<12; i++) {
	clr R20
	xjmp L49
L46:
	.dbline 199
	.dbline 200
; 	     line1[i] = inchar;
	ldi R24,<_line1
	ldi R25,>_line1
	mov R30,R20
	clr R31
	add R30,R24
	adc R31,R25
	std z+0,R16
	.dbline 201
; 		 line2[i] = inchar;
	ldi R24,<_line2
	ldi R25,>_line2
	mov R30,R20
	clr R31
	add R30,R24
	adc R31,R25
	std z+0,R16
	.dbline 202
; 		 line3[i] = inchar;
	ldi R24,<_line3
	ldi R25,>_line3
	mov R30,R20
	clr R31
	add R30,R24
	adc R31,R25
	std z+0,R16
	.dbline 203
; 		 line4[i] = inchar;
	ldi R24,<_line4
	ldi R25,>_line4
	mov R30,R20
	clr R31
	add R30,R24
	adc R31,R25
	std z+0,R16
	.dbline 204
; 		 }
L47:
	.dbline 199
	inc R20
L49:
	.dbline 199
	cpi R20,12
	brlo L46
X14:
	.dbline -2
L45:
	.dbline 0 ; func end
	ld R20,y+
	ret
	.dbsym r i 20 c
	.dbsym r inchar 16 c
	.dbend
	.dbfunc e Clear_LCD _Clear_LCD fV
;              i -> R20,R21
	.even
_Clear_LCD::
	st -y,R20
	st -y,R21
	.dbline -1
	.dbline 208
; }
; 
; void Clear_LCD()
; {
	.dbline 212
;  	 int i;
; 	 
; 	 // Clear 4x12 display
; 	 for(i=0; i<12; i++) LCD_Write(LCDRAMADDRESS|0x30+i,' ');
	clr R20
	clr R21
L51:
	.dbline 212
	ldi R18,32
	mov R16,R20
	subi R16,208  ; offset = 48
	sbci R17,255
	ori R16,128
	xcall _LCD_Write
L52:
	.dbline 212
	subi R20,255  ; offset = 1
	sbci R21,255
	.dbline 212
	cpi R20,12
	ldi R30,0
	cpc R21,R30
	brlt L51
X15:
	.dbline 213
; 	 for(i=0; i<12; i++) LCD_Write(LCDRAMADDRESS|0x40+i,' ');
	clr R20
	clr R21
L55:
	.dbline 213
	ldi R18,32
	mov R16,R20
	subi R16,192  ; offset = 64
	sbci R17,255
	ori R16,128
	xcall _LCD_Write
L56:
	.dbline 213
	subi R20,255  ; offset = 1
	sbci R21,255
	.dbline 213
	cpi R20,12
	ldi R30,0
	cpc R21,R30
	brlt L55
X16:
	.dbline 214
; 	 for(i=0; i<12; i++) LCD_Write(LCDRAMADDRESS|0x50+i,' ');
	clr R20
	clr R21
L59:
	.dbline 214
	ldi R18,32
	mov R16,R20
	subi R16,176  ; offset = 80
	sbci R17,255
	ori R16,128
	xcall _LCD_Write
L60:
	.dbline 214
	subi R20,255  ; offset = 1
	sbci R21,255
	.dbline 214
	cpi R20,12
	ldi R30,0
	cpc R21,R30
	brlt L59
X17:
	.dbline 215
; 	 for(i=0; i<12; i++) LCD_Write(LCDRAMADDRESS|0x60+i,' ');
	clr R20
	clr R21
L63:
	.dbline 215
	ldi R18,32
	mov R16,R20
	subi R16,160  ; offset = 96
	sbci R17,255
	ori R16,128
	xcall _LCD_Write
L64:
	.dbline 215
	subi R20,255  ; offset = 1
	sbci R21,255
	.dbline 215
	cpi R20,12
	ldi R30,0
	cpc R21,R30
	brlt L63
X18:
	.dbline 218
; 	 
; 	 // Clear buffers
; 	 SetBuffers(' ');
	ldi R16,32
	xcall _SetBuffers
	.dbline 221
; 	 
; 	 // Clear all symbols
; 	 LCD_Symbols(OFF);
	clr R16
	xcall _LCD_Symbols
	.dbline -2
L50:
	.dbline 0 ; func end
	ld R21,y+
	ld R20,y+
	ret
	.dbsym r i 20 I
	.dbend
	.dbfunc e Init_LCD _Init_LCD fV
	.even
_Init_LCD::
	.dbline -1
	.dbline 232
; }
; 
; 
; /******************************************
;   LCD interface control logic:
;        CS -  0 select device
;        R/W - 0 WR, 1 RD,
;        LA0 - 0 command, 1 data
;  ******************************************/
; void Init_LCD()
; {
	.dbline 233
;      lcdchiptype = LCDCHIPE1007;  // if lcd display is E1007
	ldi R24,7
	sts _lcdchiptype,R24
	.dbline 236
; 	 
; 	 //Pop to one line
; 	 DDRB |= (1<<CS);
	sbi 0x17,2
	.dbline 237
; 	 DDRB |= (1<<LA0);
	sbi 0x17,1
	.dbline 238
; 	 DDRB |= (1<<LCDRESET);
	sbi 0x17,3
	.dbline 239
; 	 DDRB |= (1<<LCD_SI);
	sbi 0x17,0
	.dbline 240
; 	 DDRB |= (1<<LCD_SCLK);
	sbi 0x17,4
	.dbline 244
; 	 
; 	 
; 	 //SetBit(PORTB,PINB6);  // set clock high
; 	 SetBit(LCDDATA,LCD_SCLK);
	sbi 0x18,4
	.dbline 247
; 	 
; 	 // Reset LCD - hold in reset for 10usec
; 	 LCDCONTROL &= ~BIT(LCDRESET);  // Set Reset line low
	cbi 0x18,3
	.dbline 248
; 	 ShortDelay(200);
	ldi R16,200
	ldi R17,0
	xcall _ShortDelay
	.dbline 249
; 	 LCDCONTROL |= BIT(LCDRESET);  // Set Reset line high
	sbi 0x18,3
	.dbline 250
; 	 ShortDelay(50);
	ldi R16,50
	ldi R17,0
	xcall _ShortDelay
	.dbline 261
; 	
; 	// Static Icon off - display on - RF circuit on - clear RAM
; 	// Set display volume
; 
; // System set command
; //   D3-N2, D2-N1, D0-CG
; //   N2/1 -> 0,0  2 lines
; //   N2/1 -> 0,1  3 lines
; //   N2/1 -> 1,0  4 lines
; //   CG   -> 1 CGRAM used, 0 not used
;      LCDwritecommand(LCDSYSTEMSET|LCD4LINE|LCDCGON);
	ldi R16,105
	xcall _LCDwritecommand
	.dbline 268
; 
; // Static Display Command
; //   D1/0 - 0,0  Display OFF
; //   D1/0 - 0,1  1-2Hz blink
; //   D1/0 - 1,0  3-4Hz blink
; //   D1/0 - 1,1  Display ON
; 	 LCDwritecommand(LCDSTATICDISPLAY|LCDDISPLAYON);
	ldi R16,35
	xcall _LCDwritecommand
	.dbline 277
; 	 
; // Display control command
; //   D3-C, D2-B, D1-DC, D0-D
; //   C  -> 1 cursor on, 0 off
; //   DC -> 1 double cursor on, 0 off
; //   B  -> 1 blink on, 0 off
; //   D  -> 1 display on, 0 off	 
; //	 LCDwritecommand(LCDDISPLAY|LCDCURSORON|LCDCURSORBLINK|LCDCURSORDISPLAYON);
; 	 LCDwritecommand(LCDDISPLAY|LCDCURSORDISPLAYON);
	ldi R16,49
	xcall _LCDwritecommand
	.dbline 283
; 
; // Power Save Command
; //   D1-PS, D0-O
; //   PS -> 1 power save on, 0 off
; //   O  -> 1 oscillator circuit on, 0 off
;      LCDwritecommand(LCDPOWERSAVE|LCDPOWERSAVEOFF|LCDOSCON);
	ldi R16,66
	xcall _LCDwritecommand
	.dbline 286
; 
; 	 // Set data pointer to DDRAM
; 	 LCDwritecommand(LCDRAMADDRESS|0x30);
	ldi R16,176
	xcall _LCDwritecommand
	.dbline 289
; 
; 	 // Wait 20ms for power supply to stabilize
; 	 ShortDelay(30000);	 
	ldi R16,30000
	ldi R17,117
	xcall _ShortDelay
	.dbline 296
; 
; 	 // Power supply control
; 	 //   D2-VC, D1-VF, D0-P
; 	 //   VC -> 1 voltage regulator on, 0 off
; 	 //   VF -> 1 voltage follower on, 0 off
; 	 //   P  -> 1 voltage booster on, 0 off
; 	 LCDwritecommand(LCDPOWERSUPPLY|LCDVOLTREGON|LCDVOLTFOLLOWON|LCDVOLTBOOSTON);
	ldi R16,87
	xcall _LCDwritecommand
	.dbline 302
; //	 LCDwritecommand(LCDPOWERSUPPLY|LCDVOLTREGON|LCDVOLTFOLLOWON);
; 
; 	 // Electronic volume setting
; 	 //   D3-0 - set display brightness
; 	 // TBD - real VDD and adjust Voltage Volume accordingly
; 	 voltagevolume = 0x09;
	ldi R24,9
	sts _voltagevolume,R24
	.dbline 303
;      LCDwritecommand(LCDVOLREG|voltagevolume); 
	mov R16,R24
	ori R16,112
	xcall _LCDwritecommand
	.dbline 306
; 
; 	 // move cursor to home position command
; 	 LCDwritecommand(LCDHOME); 
	ldi R16,16
	xcall _LCDwritecommand
	.dbline 308
;  
;  	 lcdphoneantennasymbols = 0;
	clr R2
	sts _lcdphoneantennasymbols,R2
	.dbline 309
; 	 cursormax = 12;
	ldi R24,12
	sts _cursormax,R24
	.dbline 310
; 	 cursorposition = 0;
	sts _cursorposition,R2
	.dbline 311
; 	 rowptr = 1;
	ldi R24,1
	sts _rowptr,R24
	.dbline 312
; 	 colptr = 0;
	sts _colptr,R2
	.dbline 313
; 	 lineptr = LINE1;
	ldi R24,48
	sts _lineptr,R24
	.dbline 314
; 	 lcdstate = NO_ACTIVE_STATE;
	sts _lcdstate,R2
	.dbline 315
; 	 symbolmode = NO_ACTIVE_STATE;
	sts _symbolmode,R2
	.dbline -2
L67:
	.dbline 0 ; func end
	ret
	.dbend
	.dbfunc e DisplayLCDBuffers _DisplayLCDBuffers fV
	.even
_DisplayLCDBuffers::
	.dbline -1
	.dbline 319
; }
; 
; void DisplayLCDBuffers()
; {
	.dbline 320
; 	 LCDdisplays(LINE1,line1);
	ldi R18,<_line1
	ldi R19,>_line1
	ldi R16,48
	xcall _LCDdisplays
	.dbline 321
;    	 LCDdisplays(LINE2,line2);
	ldi R18,<_line2
	ldi R19,>_line2
	ldi R16,64
	xcall _LCDdisplays
	.dbline 322
;    	 LCDdisplays(LINE3,line3);
	ldi R18,<_line3
	ldi R19,>_line3
	ldi R16,80
	xcall _LCDdisplays
	.dbline 323
;    	 LCDdisplays(LINE4,line4);	 
	ldi R18,<_line4
	ldi R19,>_line4
	ldi R16,96
	xcall _LCDdisplays
	.dbline -2
L68:
	.dbline 0 ; func end
	ret
	.dbend
	.dbfunc e LoadSignon _LoadSignon fV
;              i -> <dead>
	.even
_LoadSignon::
	.dbline -1
	.dbline 327
; }
; 
; void LoadSignon()
; {
	.dbline 330
;  	 unsigned char i;
; 	 
; 	 cstrcpy(line1,line1chars);
	ldi R18,<_line1chars
	ldi R19,>_line1chars
	ldi R16,<_line1
	ldi R17,>_line1
	xcall _cstrcpy
	.dbline 331
; 	 cstrcpy(line2,line2chars);
	ldi R18,<_line2chars
	ldi R19,>_line2chars
	ldi R16,<_line2
	ldi R17,>_line2
	xcall _cstrcpy
	.dbline 332
; 	 cstrcpy(line3,line3chars);
	ldi R18,<_line3chars
	ldi R19,>_line3chars
	ldi R16,<_line3
	ldi R17,>_line3
	xcall _cstrcpy
	.dbline 333
; 	 cstrcpy(line4,line4chars);
	ldi R18,<_line4chars
	ldi R19,>_line4chars
	ldi R16,<_line4
	ldi R17,>_line4
	xcall _cstrcpy
	.dbline -2
L69:
	.dbline 0 ; func end
	ret
	.dbsym l i 1 c
	.dbend
	.dbfunc e ShiftUpLine _ShiftUpLine fV
;              i -> R20
	.even
_ShiftUpLine::
	st -y,R20
	.dbline -1
	.dbline 337
; }
; 
; void ShiftUpLine()
; {
	.dbline 340
;  	 unsigned char i;
; 	 
; 	 for(i=0; i<12; i++) {
	clr R20
	xjmp L74
L71:
	.dbline 340
	.dbline 341
; 	     line1[i] = line2[i];
	ldi R24,<_line2
	ldi R25,>_line2
	mov R30,R20
	clr R31
	add R30,R24
	adc R31,R25
	ldd R2,z+0
	ldi R24,<_line1
	ldi R25,>_line1
	mov R30,R20
	clr R31
	add R30,R24
	adc R31,R25
	std z+0,R2
	.dbline 342
; 		 line2[i] = line3[i];
	ldi R24,<_line3
	ldi R25,>_line3
	mov R30,R20
	clr R31
	add R30,R24
	adc R31,R25
	ldd R2,z+0
	ldi R24,<_line2
	ldi R25,>_line2
	mov R30,R20
	clr R31
	add R30,R24
	adc R31,R25
	std z+0,R2
	.dbline 343
; 		 line3[i] = line4[i];
	ldi R24,<_line4
	ldi R25,>_line4
	mov R30,R20
	clr R31
	add R30,R24
	adc R31,R25
	ldd R2,z+0
	ldi R24,<_line3
	ldi R25,>_line3
	mov R30,R20
	clr R31
	add R30,R24
	adc R31,R25
	std z+0,R2
	.dbline 344
; 		 line4[i] = ' ';
	ldi R24,<_line4
	ldi R25,>_line4
	mov R30,R20
	clr R31
	add R30,R24
	adc R31,R25
	ldi R24,32
	std z+0,R24
	.dbline 345
; 		 }
L72:
	.dbline 340
	inc R20
L74:
	.dbline 340
	cpi R20,12
	brsh X20
	xjmp L71
X20:
X19:
	.dbline 346
;      DisplayLCDBuffers();
	xcall _DisplayLCDBuffers
	.dbline 347
; 	 cursorposition = 0;
	clr R2
	sts _cursorposition,R2
	.dbline -2
L70:
	.dbline 0 ; func end
	ld R20,y+
	ret
	.dbsym r i 20 c
	.dbend
	.dbfunc e PutCharinBuffer _PutCharinBuffer fV
;         inchar -> R10
;        address -> R18
;            row -> R16
	.even
_PutCharinBuffer::
	st -y,R10
	ldd R10,y+1
	.dbline -1
	.dbline 351
; }
; 
; void PutCharinBuffer(unsigned char row,unsigned char address,unsigned char inchar)
; {
	.dbline 352
;     if(row==0)  line1[address] = inchar;
	tst R16
	brne L76
X21:
	.dbline 352
	ldi R24,<_line1
	ldi R25,>_line1
	mov R30,R18
	clr R31
	add R30,R24
	adc R31,R25
	std z+0,R10
	xjmp L77
L76:
	.dbline 353
; 	else if(row==1)  line2[address] = inchar;
	cpi R16,1
	brne L78
X22:
	.dbline 353
	ldi R24,<_line2
	ldi R25,>_line2
	mov R30,R18
	clr R31
	add R30,R24
	adc R31,R25
	std z+0,R10
	xjmp L79
L78:
	.dbline 354
; 	else if(row==2)  line3[address] = inchar;
	cpi R16,2
	brne L80
X23:
	.dbline 354
	ldi R24,<_line3
	ldi R25,>_line3
	mov R30,R18
	clr R31
	add R30,R24
	adc R31,R25
	std z+0,R10
	xjmp L81
L80:
	.dbline 355
; 	else if(row==3)  line4[address] = inchar;
	cpi R16,3
	brne L82
X24:
	.dbline 355
	ldi R24,<_line4
	ldi R25,>_line4
	mov R30,R18
	clr R31
	add R30,R24
	adc R31,R25
	std z+0,R10
L82:
L81:
L79:
L77:
	.dbline -2
L75:
	.dbline 0 ; func end
	ld R10,y+
	ret
	.dbsym r inchar 10 c
	.dbsym r address 18 c
	.dbsym r row 16 c
	.dbend
	.dbfunc e LCD_Dsymbol _LCD_Dsymbol fV
;          state -> R20
	.even
_LCD_Dsymbol::
	st -y,R20
	mov R20,R16
	.dbline -1
	.dbline 359
; }
; 
; void LCD_Dsymbol(unsigned char state)
; {
	.dbline 360
;     if(state==ON) LCD_Write(0x70,0x08);
	cpi R20,1
	brne L85
X25:
	.dbline 360
	ldi R18,8
	ldi R16,112
	xcall _LCD_Write
	xjmp L86
L85:
	.dbline 361
; 	else if(state==OFF) LCD_Write(0x70,0);
	tst R20
	brne L87
X26:
	.dbline 361
	clr R18
	ldi R16,112
	xcall _LCD_Write
L87:
L86:
	.dbline -2
L84:
	.dbline 0 ; func end
	ld R20,y+
	ret
	.dbsym r state 20 c
	.dbend
	.dbfunc e LCD_Rsymbol _LCD_Rsymbol fV
;          state -> R20
	.even
_LCD_Rsymbol::
	st -y,R20
	mov R20,R16
	.dbline -1
	.dbline 365
; }
; 
; void LCD_Rsymbol(unsigned char state)
; {
	.dbline 366
;     if(state==ON) LCD_Write(0x75,0x02);
	cpi R20,1
	brne L90
X27:
	.dbline 366
	ldi R18,2
	ldi R16,117
	xcall _LCD_Write
	xjmp L91
L90:
	.dbline 367
; 	else if(state==OFF) LCD_Write(0x75,0);
	tst R20
	brne L92
X28:
	.dbline 367
	clr R18
	ldi R16,117
	xcall _LCD_Write
L92:
L91:
	.dbline -2
L89:
	.dbline 0 ; func end
	ld R20,y+
	ret
	.dbsym r state 20 c
	.dbend
	.dbfunc e LCD_Vsymbol _LCD_Vsymbol fV
;          state -> R20
	.even
_LCD_Vsymbol::
	st -y,R20
	mov R20,R16
	.dbline -1
	.dbline 371
; }
; 
; void LCD_Vsymbol(unsigned char state)
; {
	.dbline 372
;     if(state==ON) LCD_Write(0x78,0x08);
	cpi R20,1
	brne L95
X29:
	.dbline 372
	ldi R18,8
	ldi R16,120
	xcall _LCD_Write
	xjmp L96
L95:
	.dbline 373
; 	else if(state==OFF) LCD_Write(0x78,0);
	tst R20
	brne L97
X30:
	.dbline 373
	clr R18
	ldi R16,120
	xcall _LCD_Write
L97:
L96:
	.dbline -2
L94:
	.dbline 0 ; func end
	ld R20,y+
	ret
	.dbsym r state 20 c
	.dbend
	.dbfunc e LCD_Phone _LCD_Phone fV
;          state -> R20
	.even
_LCD_Phone::
	st -y,R20
	mov R20,R16
	.dbline -1
	.dbline 377
; }
; 
; void LCD_Phone(unsigned char state)
; {
	.dbline 378
;     if(state==LCD_PHONE_ON) {
	cpi R20,1
	brne L100
X31:
	.dbline 378
	.dbline 379
; 	    lcdphoneantennasymbols |= LCD_PHONE_SYMBOL;
	lds R24,_lcdphoneantennasymbols
	ori R24,2
	sts _lcdphoneantennasymbols,R24
	.dbline 380
; 		LCD_Write(0x73,lcdphoneantennasymbols);
	mov R18,R24
	ldi R16,115
	xcall _LCD_Write
	.dbline 381
; 		LCD_Write(0x74,0);
	clr R18
	ldi R16,116
	xcall _LCD_Write
	.dbline 382
; 	    }
	xjmp L101
L100:
	.dbline 383
; 	else if(state==LCD_SLASHPHONE) {
	cpi R20,2
	brne L102
X32:
	.dbline 383
	.dbline 384
; 	    lcdphoneantennasymbols |= LCD_PHONE_SYMBOL;
	lds R24,_lcdphoneantennasymbols
	ori R24,2
	sts _lcdphoneantennasymbols,R24
	.dbline 385
; 		LCD_Write(0x73,lcdphoneantennasymbols);
	mov R18,R24
	ldi R16,115
	xcall _LCD_Write
	.dbline 386
; 		LCD_Write(0x74,0x08);
	ldi R18,8
	ldi R16,116
	xcall _LCD_Write
	.dbline 387
; 	    }
	xjmp L103
L102:
	.dbline 388
; 	else if(state==LCD_PHONE_OFF) {
	cpi R20,3
	brne L104
X33:
	.dbline 388
	.dbline 389
; 	    lcdphoneantennasymbols &= ~LCD_PHONE_SYMBOL;
	lds R24,_lcdphoneantennasymbols
	andi R24,253
	sts _lcdphoneantennasymbols,R24
	.dbline 390
; 		LCD_Write(0x73,lcdphoneantennasymbols);
	mov R18,R24
	ldi R16,115
	xcall _LCD_Write
	.dbline 391
; 		LCD_Write(0x74,0);
	clr R18
	ldi R16,116
	xcall _LCD_Write
	.dbline 392
; 	    }
L104:
L103:
L101:
	.dbline -2
L99:
	.dbline 0 ; func end
	ld R20,y+
	ret
	.dbsym r state 20 c
	.dbend
	.dbfunc e LCD_Envelope _LCD_Envelope fV
;          state -> R20
	.even
_LCD_Envelope::
	st -y,R20
	mov R20,R16
	.dbline -1
	.dbline 396
; }
; 
; void LCD_Envelope(unsigned char state)
; {
	.dbline 397
;     if(state==ON) LCD_Write(0x76,0x02);
	cpi R20,1
	brne L107
X34:
	.dbline 397
	ldi R18,2
	ldi R16,118
	xcall _LCD_Write
	xjmp L108
L107:
	.dbline 398
; 	else if(state==OFF) LCD_Write(0x76,0);
	tst R20
	brne L109
X35:
	.dbline 398
	clr R18
	ldi R16,118
	xcall _LCD_Write
L109:
L108:
	.dbline -2
L106:
	.dbline 0 ; func end
	ld R20,y+
	ret
	.dbsym r state 20 c
	.dbend
	.dbfunc e LCD_Battery _LCD_Battery fV
;          level -> R20
	.even
_LCD_Battery::
	st -y,R20
	mov R20,R16
	.dbline -1
	.dbline 403
; }
; 
; 
; void LCD_Battery(unsigned char level)
; {
	.dbline 404
;  	 if(level==LCD_BATTERY_EMPTY)  {
	cpi R20,2
	brne L112
X36:
	.dbline 404
	.dbline 405
; 	     LCD_Write(0x79,0x02);
	ldi R18,2
	ldi R16,121
	xcall _LCD_Write
	.dbline 406
; 	     LCD_Write(0x7a,0);
	clr R18
	ldi R16,122
	xcall _LCD_Write
	.dbline 407
; 	     LCD_Write(0x7b,0);
	clr R18
	ldi R16,123
	xcall _LCD_Write
	.dbline 408
; 		 }
L112:
	.dbline 409
;  	 if(level==LCD_BATTERY_QUARTER)  {
	cpi R20,3
	brne L114
X37:
	.dbline 409
	.dbline 410
; 	     LCD_Write(0x79,0x02);
	ldi R18,2
	ldi R16,121
	xcall _LCD_Write
	.dbline 411
; 	     LCD_Write(0x7a,0);
	clr R18
	ldi R16,122
	xcall _LCD_Write
	.dbline 412
; 	     LCD_Write(0x7b,0x08);
	ldi R18,8
	ldi R16,123
	xcall _LCD_Write
	.dbline 413
; 		 }
L114:
	.dbline 414
;  	 if(level==LCD_BATTERY_HALF)  {
	cpi R20,4
	brne L116
X38:
	.dbline 414
	.dbline 415
; 	     LCD_Write(0x79,0x02);
	ldi R18,2
	ldi R16,121
	xcall _LCD_Write
	.dbline 416
; 	     LCD_Write(0x7a,0x02);
	ldi R18,2
	ldi R16,122
	xcall _LCD_Write
	.dbline 417
; 	     LCD_Write(0x7b,0x08);
	ldi R18,8
	ldi R16,123
	xcall _LCD_Write
	.dbline 418
; 		 }
L116:
	.dbline 419
;  	 if(level==LCD_BATTERY_THREEQUARTER)  {
	cpi R20,5
	brne L118
X39:
	.dbline 419
	.dbline 420
; 	     LCD_Write(0x79,0x02);
	ldi R18,2
	ldi R16,121
	xcall _LCD_Write
	.dbline 421
; 	     LCD_Write(0x7a,0x02);
	ldi R18,2
	ldi R16,122
	xcall _LCD_Write
	.dbline 422
; 	     LCD_Write(0x7b,0x0b);
	ldi R18,11
	ldi R16,123
	xcall _LCD_Write
	.dbline 423
; 		 }
L118:
	.dbline 424
;  	 if(level==LCD_BATTERY_FULL)  {
	cpi R20,6
	brne L120
X40:
	.dbline 424
	.dbline 425
; 	     LCD_Write(0x79,0x02);
	ldi R18,2
	ldi R16,121
	xcall _LCD_Write
	.dbline 426
; 	     LCD_Write(0x7a,0x0b);
	ldi R18,11
	ldi R16,122
	xcall _LCD_Write
	.dbline 427
; 	     LCD_Write(0x7b,0x0b);
	ldi R18,11
	ldi R16,123
	xcall _LCD_Write
	.dbline 428
; 		 }
L120:
	.dbline 429
;  	 if(level==LCD_BATTERY_OFF)  {
	cpi R20,1
	brne L122
X41:
	.dbline 429
	.dbline 430
; 	     LCD_Write(0x79,0);
	clr R18
	ldi R16,121
	xcall _LCD_Write
	.dbline 431
; 	     LCD_Write(0x7a,0);
	clr R18
	ldi R16,122
	xcall _LCD_Write
	.dbline 432
; 	     LCD_Write(0x7b,0);
	clr R18
	ldi R16,123
	xcall _LCD_Write
	.dbline 433
; 		 }
L122:
	.dbline -2
L111:
	.dbline 0 ; func end
	ld R20,y+
	ret
	.dbsym r level 20 c
	.dbend
	.dbfunc e LCD_Antenna _LCD_Antenna fV
;          level -> R20
	.even
_LCD_Antenna::
	st -y,R20
	mov R20,R16
	.dbline -1
	.dbline 437
; }
; 
; void LCD_Antenna(unsigned char level)
; {
	.dbline 438
;  	 if(level==LCD_ANTENNA_EMPTY)  {
	cpi R20,2
	brne L125
X42:
	.dbline 438
	.dbline 439
; 	     lcdphoneantennasymbols &= ~LCD_BIGANTENNA_SYMBOL;
	lds R24,_lcdphoneantennasymbols
	andi R24,247
	sts _lcdphoneantennasymbols,R24
	.dbline 440
; 	     LCD_Write(0x71,0x08);
	ldi R18,8
	ldi R16,113
	xcall _LCD_Write
	.dbline 441
; 	     LCD_Write(0x72,0);
	clr R18
	ldi R16,114
	xcall _LCD_Write
	.dbline 442
; 	     LCD_Write(0x73,lcdphoneantennasymbols);
	lds R18,_lcdphoneantennasymbols
	ldi R16,115
	xcall _LCD_Write
	.dbline 443
; 		 }
L125:
	.dbline 444
;   	 if(level==LCD_ANTENNA_QUARTER)  {
	cpi R20,3
	brne L127
X43:
	.dbline 444
	.dbline 445
; 	     lcdphoneantennasymbols &= ~LCD_BIGANTENNA_SYMBOL;
	lds R24,_lcdphoneantennasymbols
	andi R24,247
	sts _lcdphoneantennasymbols,R24
	.dbline 446
; 	     LCD_Write(0x71,0x0b);
	ldi R18,11
	ldi R16,113
	xcall _LCD_Write
	.dbline 447
; 	     LCD_Write(0x72,0);
	clr R18
	ldi R16,114
	xcall _LCD_Write
	.dbline 448
; 	     LCD_Write(0x73,lcdphoneantennasymbols);
	lds R18,_lcdphoneantennasymbols
	ldi R16,115
	xcall _LCD_Write
	.dbline 449
; 		 }
L127:
	.dbline 450
;  	 if(level==LCD_ANTENNA_HALF)  {
	cpi R20,4
	brne L129
X44:
	.dbline 450
	.dbline 451
; 	     lcdphoneantennasymbols &= ~LCD_BIGANTENNA_SYMBOL;
	lds R24,_lcdphoneantennasymbols
	andi R24,247
	sts _lcdphoneantennasymbols,R24
	.dbline 452
; 	     LCD_Write(0x71,0x0b);
	ldi R18,11
	ldi R16,113
	xcall _LCD_Write
	.dbline 453
; 	     LCD_Write(0x72,0x08);
	ldi R18,8
	ldi R16,114
	xcall _LCD_Write
	.dbline 454
; 	     LCD_Write(0x73,lcdphoneantennasymbols);
	lds R18,_lcdphoneantennasymbols
	ldi R16,115
	xcall _LCD_Write
	.dbline 455
; 		 }
L129:
	.dbline 456
;  	 if(level==LCD_ANTENNA_THREEQUARTER)  {
	cpi R20,5
	brne L131
X45:
	.dbline 456
	.dbline 457
; 	     lcdphoneantennasymbols &= ~LCD_BIGANTENNA_SYMBOL;
	lds R24,_lcdphoneantennasymbols
	andi R24,247
	sts _lcdphoneantennasymbols,R24
	.dbline 458
; 	     LCD_Write(0x71,0x0b);
	ldi R18,11
	ldi R16,113
	xcall _LCD_Write
	.dbline 459
; 	     LCD_Write(0x72,0x0b);
	ldi R18,11
	ldi R16,114
	xcall _LCD_Write
	.dbline 460
; 	     LCD_Write(0x73,lcdphoneantennasymbols);
	lds R18,_lcdphoneantennasymbols
	ldi R16,115
	xcall _LCD_Write
	.dbline 461
; 		 }
L131:
	.dbline 462
;  	 if(level==LCD_ANTENNA_FULL)  {
	cpi R20,6
	brne L133
X46:
	.dbline 462
	.dbline 463
; 	     lcdphoneantennasymbols |= LCD_BIGANTENNA_SYMBOL;
	lds R24,_lcdphoneantennasymbols
	ori R24,8
	sts _lcdphoneantennasymbols,R24
	.dbline 464
; 	     LCD_Write(0x71,0x0b);
	ldi R18,11
	ldi R16,113
	xcall _LCD_Write
	.dbline 465
; 	     LCD_Write(0x72,0x0b);
	ldi R18,11
	ldi R16,114
	xcall _LCD_Write
	.dbline 466
; 	     LCD_Write(0x73,lcdphoneantennasymbols);
	lds R18,_lcdphoneantennasymbols
	ldi R16,115
	xcall _LCD_Write
	.dbline 467
; 		 }
L133:
	.dbline 468
;  	 if(level==LCD_ANTENNA_OFF)  {
	cpi R20,1
	brne L135
X47:
	.dbline 468
	.dbline 469
; 	     lcdphoneantennasymbols &= ~LCD_BIGANTENNA_SYMBOL;
	lds R24,_lcdphoneantennasymbols
	andi R24,247
	sts _lcdphoneantennasymbols,R24
	.dbline 470
; 	     LCD_Write(0x71,0);
	clr R18
	ldi R16,113
	xcall _LCD_Write
	.dbline 471
; 	     LCD_Write(0x72,0);
	clr R18
	ldi R16,114
	xcall _LCD_Write
	.dbline 472
; 	     LCD_Write(0x73,lcdphoneantennasymbols);
	lds R18,_lcdphoneantennasymbols
	ldi R16,115
	xcall _LCD_Write
	.dbline 473
; 		 }
L135:
	.dbline -2
L124:
	.dbline 0 ; func end
	ld R20,y+
	ret
	.dbsym r level 20 c
	.dbend
	.dbfunc e GetRowfromLine _GetRowfromLine fc
;           line -> R16
	.even
_GetRowfromLine::
	.dbline -1
	.dbline 477
; }
; 
; unsigned char GetRowfromLine(unsigned char line)
; {
	.dbline 478
;  	 if(line==LINE1) return 0;
	cpi R16,48
	brne L138
X48:
	.dbline 478
	clr R16
	xjmp L137
L138:
	.dbline 479
; 	 if(line==LINE2) return 1;
	cpi R16,64
	brne L140
X49:
	.dbline 479
	ldi R16,1
	xjmp L137
L140:
	.dbline 480
; 	 if(line==LINE3) return 2;
	cpi R16,80
	brne L142
X50:
	.dbline 480
	ldi R16,2
	xjmp L137
L142:
	.dbline 481
; 	 if(line==LINE4) return 3;
	cpi R16,96
	brne L144
X51:
	.dbline 481
	ldi R16,3
	xjmp L137
L144:
	.dbline 482
; 	 return 0;
	clr R16
	.dbline -2
L137:
	.dbline 0 ; func end
	ret
	.dbsym r line 16 c
	.dbend
	.dbfunc e SendCharToDisplay _SendCharToDisplay fV
;         inchar -> R10
	.even
_SendCharToDisplay::
	st -y,R10
	mov R10,R16
	sbiw R28,1
	.dbline -1
	.dbline 486
; }
; 
; void SendCharToDisplay(unsigned char inchar)
; {
	.dbline 487
; 	if(cursorposition>11) {
	ldi R24,11
	lds R2,_cursorposition
	cp R24,R2
	brsh L147
X52:
	.dbline 487
	.dbline 488
; 		if(lineptr==LINE4) ShiftUpLine();
	lds R24,_lineptr
	cpi R24,96
	brne L149
X53:
	.dbline 488
	xcall _ShiftUpLine
	xjmp L150
L149:
	.dbline 489
; 		else {
	.dbline 490
; 			lineptr += 0x10;
	lds R24,_lineptr
	subi R24,240    ; addi 16
	sts _lineptr,R24
	.dbline 491
; 			cursorposition = 0;
	clr R2
	sts _cursorposition,R2
	.dbline 492
; 			}
L150:
	.dbline 493
; 		}				
L147:
	.dbline 494
; 	LCDDisplayChar(lineptr+cursorposition,inchar);
	mov R18,R10
	lds R2,_cursorposition
	lds R16,_lineptr
	add R16,R2
	xcall _LCDDisplayChar
	.dbline 495
; 	PutCharinBuffer(GetRowfromLine(lineptr),inchar,cursorposition);
	lds R16,_lineptr
	xcall _GetRowfromLine
	lds R2,_cursorposition
	std y+0,R2
	mov R18,R10
	xcall _PutCharinBuffer
	.dbline 496
; 	cursorposition++;
	lds R24,_cursorposition
	subi R24,255    ; addi 1
	sts _cursorposition,R24
	.dbline -2
L146:
	.dbline 0 ; func end
	adiw R28,1
	ld R10,y+
	ret
	.dbsym r inchar 10 c
	.dbend
	.dbfunc e IncrementLinePtr _IncrementLinePtr fV
	.even
_IncrementLinePtr::
	.dbline -1
	.dbline 500
; }
; 
; void IncrementLinePtr()
; {
	.dbline 501
;     if(lineptr==LINE1)  lineptr = LINE2;
	lds R24,_lineptr
	cpi R24,48
	brne L152
X54:
	.dbline 501
	ldi R24,64
	sts _lineptr,R24
	xjmp L153
L152:
	.dbline 502
; 	else if(lineptr==LINE2) lineptr = LINE3;
	lds R24,_lineptr
	cpi R24,64
	brne L154
X55:
	.dbline 502
	ldi R24,80
	sts _lineptr,R24
	xjmp L155
L154:
	.dbline 503
; 	else if(lineptr==LINE3) lineptr = LINE4;
	lds R24,_lineptr
	cpi R24,80
	brne L156
X56:
	.dbline 503
	ldi R24,96
	sts _lineptr,R24
L156:
L155:
L153:
	.dbline -2
L151:
	.dbline 0 ; func end
	ret
	.dbend
	.dbfunc e ParseEscSubCommand _ParseEscSubCommand fV
;         inchar -> R20
	.even
_ParseEscSubCommand::
	xcall push_xgsetF000
	mov R20,R16
	.dbline -1
	.dbline 508
; }
; 
; 
; void ParseEscSubCommand(unsigned char inchar)
; {
	.dbline 509
;  	 switch (symbolmode) {
	lds R22,_symbolmode
	clr R23
	cpi R22,8
	ldi R30,0
	cpc R23,R30
	breq L162
X57:
	cpi R22,10
	ldi R30,0
	cpc R23,R30
	breq L169
X58:
	cpi R22,11
	ldi R30,0
	cpc R23,R30
	breq L176
X59:
	xjmp L159
L162:
	.dbline 511
; 		case TWI_ADDRESS_STATE:
; 		    if(inchar==LCD_PHONE_ON) LCD_Phone(LCD_PHONE_ON);
	cpi R20,1
	brne L163
X60:
	.dbline 511
	ldi R16,1
	xcall _LCD_Phone
	xjmp L160
L163:
	.dbline 512
; 			else if(inchar==LCD_SLASHPHONE) LCD_Phone(LCD_SLASHPHONE);
	cpi R20,2
	brne L165
X61:
	.dbline 512
	ldi R16,2
	xcall _LCD_Phone
	xjmp L160
L165:
	.dbline 513
; 			else if(inchar==LCD_PHONE_ON) LCD_Phone(LCD_PHONE_OFF);
	cpi R20,1
	brne L160
X62:
	.dbline 513
	ldi R16,3
	xcall _LCD_Phone
	.dbline 514
; 			break;
	xjmp L160
L169:
	.dbline 516
; 		case LED_BLINK_STATE:
; 		    if(inchar==LCD_PHONE_ON) LCD_Phone(LCD_PHONE_ON);
	cpi R20,1
	brne L170
X63:
	.dbline 516
	ldi R16,1
	xcall _LCD_Phone
	xjmp L160
L170:
	.dbline 517
; 			else if(inchar==LCD_SLASHPHONE) LCD_Phone(LCD_SLASHPHONE);
	cpi R20,2
	brne L172
X64:
	.dbline 517
	ldi R16,2
	xcall _LCD_Phone
	xjmp L160
L172:
	.dbline 518
; 			else if(inchar==LCD_PHONE_ON) LCD_Phone(LCD_PHONE_OFF);
	cpi R20,1
	brne L160
X65:
	.dbline 518
	ldi R16,3
	xcall _LCD_Phone
	.dbline 519
; 			break;
	xjmp L160
L176:
	.dbline 521
; 		case VOLTAGE_STATE:
; 		    if(inchar=='o') LCD_Vsymbol(ON);
	cpi R20,111
	brne L177
X66:
	.dbline 521
	ldi R16,1
	xcall _LCD_Vsymbol
	xjmp L160
L177:
	.dbline 522
; 			else if(inchar=='f') LCD_Vsymbol(OFF);
	cpi R20,102
	brne L160
X67:
	.dbline 522
	clr R16
	xcall _LCD_Vsymbol
	.dbline 523
; 			break;
L159:
L160:
	.dbline 525
; 		}
;  	 lcdstate = NO_ACTIVE_STATE;
	clr R2
	sts _lcdstate,R2
	.dbline -2
L158:
	.dbline 0 ; func end
	xjmp pop_xgsetF000
	.dbsym r inchar 20 c
	.dbend
	.dbfunc e ParseSymbolCommand _ParseSymbolCommand fV
;         inchar -> R20
	.even
_ParseSymbolCommand::
	xcall push_xgsetF000
	mov R20,R16
	.dbline -1
	.dbline 529
; }
; 
; void ParseSymbolCommand(unsigned char inchar)
; {
	.dbline 530
;  	 switch (symbolmode) {
	lds R22,_symbolmode
	clr R23
	cpi R22,1
	ldi R30,0
	cpc R23,R30
	breq L185
X68:
	cpi R22,2
	ldi R30,0
	cpc R23,R30
	breq L186
X69:
	cpi R22,3
	ldi R30,0
	cpc R23,R30
	breq L187
X70:
	cpi R22,4
	ldi R30,0
	cpc R23,R30
	breq L192
X71:
	cpi R22,5
	ldi R30,0
	cpc R23,R30
	breq L197
X72:
	cpi R22,6
	ldi R30,0
	cpc R23,R30
	breq L202
X73:
	cpi R22,7
	ldi R30,0
	cpc R23,R30
	brne X83
	xjmp L207
X83:
X74:
	xjmp L182
L185:
	.dbline 532
; 		case ANTENNA_STATE:
; 		    LCD_Antenna(inchar);
	mov R16,R20
	xcall _LCD_Antenna
	.dbline 533
; 			break;
	xjmp L183
L186:
	.dbline 535
; 		case BATTERY_STATE:
; 		    LCD_Battery(inchar);
	mov R16,R20
	xcall _LCD_Battery
	.dbline 536
; 			break;
	xjmp L183
L187:
	.dbline 538
; 		case VSYM_STATE:
; 		    if(inchar=='o') LCD_Vsymbol(ON);
	cpi R20,111
	brne L188
X75:
	.dbline 538
	ldi R16,1
	xcall _LCD_Vsymbol
	xjmp L183
L188:
	.dbline 539
; 			else if(inchar=='f') LCD_Vsymbol(OFF);
	cpi R20,102
	brne L183
X76:
	.dbline 539
	clr R16
	xcall _LCD_Vsymbol
	.dbline 540
; 			break;
	xjmp L183
L192:
	.dbline 542
; 		case DSYM_STATE:
; 		    if(inchar=='o') LCD_Dsymbol(ON);
	cpi R20,111
	brne L193
X77:
	.dbline 542
	ldi R16,1
	xcall _LCD_Dsymbol
	xjmp L183
L193:
	.dbline 543
; 			else if(inchar=='f') LCD_Dsymbol(OFF);
	cpi R20,102
	brne L183
X78:
	.dbline 543
	clr R16
	xcall _LCD_Dsymbol
	.dbline 544
; 			break;
	xjmp L183
L197:
	.dbline 546
; 		case RSYM_STATE:
; 		    if(inchar=='o') LCD_Rsymbol(ON);
	cpi R20,111
	brne L198
X79:
	.dbline 546
	ldi R16,1
	xcall _LCD_Rsymbol
	xjmp L183
L198:
	.dbline 547
; 			else if(inchar=='f') LCD_Rsymbol(OFF);
	cpi R20,102
	brne L183
X80:
	.dbline 547
	clr R16
	xcall _LCD_Rsymbol
	.dbline 548
; 			break;
	xjmp L183
L202:
	.dbline 550
; 		case ENVELOPE_STATE:
; 		    if(inchar=='o') LCD_Envelope(ON);
	cpi R20,111
	brne L203
X81:
	.dbline 550
	ldi R16,1
	xcall _LCD_Envelope
	xjmp L183
L203:
	.dbline 551
; 			else if(inchar=='f') LCD_Envelope(OFF);
	cpi R20,102
	brne L183
X82:
	.dbline 551
	clr R16
	xcall _LCD_Envelope
	.dbline 552
; 			break;
	xjmp L183
L207:
	.dbline 554
; 		case PHONE_STATE:
; 		    LCD_Phone(inchar);
	mov R16,R20
	xcall _LCD_Phone
	.dbline 555
; 			break;
L182:
L183:
	.dbline 557
; 	     }
;  	 lcdstate = NO_ACTIVE_STATE;
	clr R2
	sts _lcdstate,R2
	.dbline 558
; 	 symbolmode = NO_ACTIVE_STATE;
	sts _symbolmode,R2
	.dbline -2
L181:
	.dbline 0 ; func end
	xjmp pop_xgsetF000
	.dbsym r inchar 20 c
	.dbend
	.dbfunc e ParseEscCommand _ParseEscCommand fV
;         inchar -> R10
	.even
_ParseEscCommand::
	xcall push_xgset300C
	mov R10,R16
	.dbline -1
	.dbline 562
; }
; 
; void ParseEscCommand(unsigned char inchar)
; {
	.dbline 563
;     switch (inchar) {
	mov R20,R10
	clr R21
	cpi R20,99
	ldi R30,0
	cpc R21,R30
	brne X97
	xjmp L212
X97:
X84:
	cpi R20,102
	ldi R30,0
	cpc R21,R30
	brne X98
	xjmp L218
X98:
X85:
	ldi R24,102
	ldi R25,0
	cp R24,R20
	cpc R25,R21
	brlt L224
X86:
L223:
	cpi R20,49
	ldi R30,0
	cpc R21,R30
	brne X99
	xjmp L213
X99:
X87:
	cpi R20,50
	ldi R30,0
	cpc R21,R30
	brne X100
	xjmp L214
X100:
X88:
	cpi R20,51
	ldi R30,0
	cpc R21,R30
	brne X101
	xjmp L215
X101:
X89:
	cpi R20,52
	ldi R30,0
	cpc R21,R30
	brne X102
	xjmp L216
X102:
X90:
	xjmp L209
L224:
	cpi R20,108
	ldi R30,0
	cpc R21,R30
	brne X103
	xjmp L221
X103:
X91:
	cpi R20,111
	ldi R30,0
	cpc R21,R30
	brne X104
	xjmp L217
X104:
X92:
	cpi R20,108
	ldi R30,0
	cpc R21,R30
	brge X105
	xjmp L209
X105:
X93:
L225:
	cpi R20,115
	ldi R30,0
	cpc R21,R30
	brne X106
	xjmp L219
X106:
X94:
	cpi R20,116
	ldi R30,0
	cpc R21,R30
	brne X107
	xjmp L222
X107:
X95:
	cpi R20,118
	ldi R30,0
	cpc R21,R30
	brne X108
	xjmp L220
X108:
X96:
	xjmp L209
L212:
	.dbline 565
; 	    case 'c':
; 		    Clear_LCD();
	xcall _Clear_LCD
	.dbline 566
; 			lineptr = LINE1;
	ldi R24,48
	sts _lineptr,R24
	.dbline 567
; 			cursorposition = 0;
	clr R2
	sts _cursorposition,R2
	.dbline 568
; 			escmode = OFF;
	sts _escmode,R2
	.dbline 569
; 			break;
	xjmp L210
L213:
	.dbline 571
; 		case '1':
; 		    lineptr = LINE1;
	ldi R24,48
	sts _lineptr,R24
	.dbline 572
; 		    cursorposition = 0;
	clr R2
	sts _cursorposition,R2
	.dbline 573
; 			escmode = OFF;
	sts _escmode,R2
	.dbline 574
; 			break;
	xjmp L210
L214:
	.dbline 576
; 		case '2':
; 		    lineptr = LINE2;
	ldi R24,64
	sts _lineptr,R24
	.dbline 577
; 			cursorposition = 0;
	clr R2
	sts _cursorposition,R2
	.dbline 578
; 			escmode = OFF;
	sts _escmode,R2
	.dbline 579
; 			break;
	xjmp L210
L215:
	.dbline 581
; 		case '3':
; 		    lineptr = LINE3;
	ldi R24,80
	sts _lineptr,R24
	.dbline 582
; 			cursorposition = 0;
	clr R2
	sts _cursorposition,R2
	.dbline 583
; 			escmode = OFF;
	sts _escmode,R2
	.dbline 584
; 			break;
	xjmp L210
L216:
	.dbline 586
; 		case '4':
; 		    lineptr = LINE4;
	ldi R24,96
	sts _lineptr,R24
	.dbline 587
; 			cursorposition = 0;
	clr R2
	sts _cursorposition,R2
	.dbline 588
; 			escmode = OFF;
	sts _escmode,R2
	.dbline 589
; 			break;
	xjmp L210
L217:
	.dbline 592
; 		case 'o':
; 		   // LCD_LED_Power(ON);
; 			escmode = OFF;
	clr R2
	sts _escmode,R2
	.dbline 593
; 			break;
	xjmp L210
L218:
	.dbline 596
; 		case 'f':
; 		  //  LCD_LED_Power(OFF);
; 			escmode = OFF;
	clr R2
	sts _escmode,R2
	.dbline 597
; 			break;
	xjmp L210
L219:
	.dbline 599
; 		case 's':
; 		    lcdstate = LCD_SYMBOL_STATE;
	ldi R24,9
	sts _lcdstate,R24
	.dbline 600
; 			break;
	xjmp L210
L220:
	.dbline 602
; 		case 'v':
; 		    lcdstate = VOLTAGE_STATE;
	ldi R24,11
	sts _lcdstate,R24
	.dbline 603
; 			break;
	xjmp L210
L221:
	.dbline 605
; 		case 'l':
; 		    lcdstate = LED_BLINK_STATE;
	ldi R24,10
	sts _lcdstate,R24
	.dbline 606
; 			break;
	xjmp L210
L222:
	.dbline 608
; 		case 't':
; 		    lcdstate = TWI_ADDRESS_STATE;
	ldi R24,8
	sts _lcdstate,R24
	.dbline 609
; 			break;
	xjmp L210
L209:
	.dbline 611
; 		default:
; 		    escmode = OFF;
	clr R2
	sts _escmode,R2
	.dbline 612
; 			break;
L210:
	.dbline 614
; 		}
; 	escmode = OFF;
	clr R2
	sts _escmode,R2
	.dbline -2
L208:
	.dbline 0 ; func end
	xjmp pop_xgset300C
	.dbsym r inchar 10 c
	.dbend
	.dbfunc e ParseChar _ParseChar fV
;         inchar -> R10
	.even
_ParseChar::
	xcall push_xgset300C
	mov R10,R16
	.dbline -1
	.dbline 618
; }
; 
; void ParseChar(unsigned char inchar)
; {
	.dbline 619
; 	if(escmode==ON) {
	lds R24,_escmode
	cpi R24,1
	brne L227
X109:
	.dbline 619
	.dbline 620
; 		ParseEscCommand(inchar);
	mov R16,R10
	xcall _ParseEscCommand
	.dbline 621
; 		}
	xjmp L228
L227:
	.dbline 622
; 	else {
	.dbline 623
; 	    if(symbolmode) ParseSymbolCommand(inchar);
	lds R2,_symbolmode
	tst R2
	breq L229
X110:
	.dbline 623
	mov R16,R10
	xcall _ParseSymbolCommand
	xjmp L230
L229:
	.dbline 624
; 	    else if(lcdstate==LCD_SYMBOL_STATE) symbolmode = inchar;
	lds R24,_lcdstate
	cpi R24,9
	brne L231
X111:
	.dbline 624
	sts _symbolmode,R10
	xjmp L232
L231:
	.dbline 625
; 		else if(lcdstate) ParseEscSubCommand(inchar);
	lds R2,_lcdstate
	tst R2
	breq L233
X112:
	.dbline 625
	mov R16,R10
	xcall _ParseEscSubCommand
	xjmp L234
L233:
	.dbline 626
; 		else {
	.dbline 627
; 	      switch (inchar) {
	mov R20,R10
	clr R21
	cpi R20,1
	ldi R30,0
	cpc R21,R30
	brne X126
	xjmp L243
X126:
X113:
	cpi R20,2
	ldi R30,0
	cpc R21,R30
	brne X127
	xjmp L244
X127:
X114:
	cpi R20,3
	ldi R30,0
	cpc R21,R30
	brne X128
	xjmp L245
X128:
X115:
	cpi R20,4
	ldi R30,0
	cpc R21,R30
	brne X129
	xjmp L246
X129:
X116:
	cpi R20,5
	ldi R30,0
	cpc R21,R30
	brne X130
	xjmp L247
X130:
X117:
	cpi R20,6
	ldi R30,0
	cpc R21,R30
	brne X131
	xjmp L248
X131:
X118:
	cpi R20,7
	ldi R30,0
	cpc R21,R30
	brne X132
	xjmp L249
X132:
X119:
	cpi R20,8
	ldi R30,0
	cpc R21,R30
	brne X133
	xjmp L250
X133:
X120:
	cpi R20,10
	ldi R30,0
	cpc R21,R30
	breq L240
X121:
	cpi R20,13
	ldi R30,0
	cpc R21,R30
	breq L239
X122:
	cpi R20,1
	ldi R30,0
	cpc R21,R30
	brge X134
	xjmp L235
X134:
X123:
L251:
	cpi R20,27
	ldi R30,0
	cpc R21,R30
	breq L238
X124:
	xjmp L235
L238:
	.dbline 629
; 		    case ESC:
; 				escmode = ON;  
	ldi R24,1
	sts _escmode,R24
	.dbline 630
; 				break;
	xjmp L236
L239:
	.dbline 632
; 		    case CR:
; 				cursorposition = 0; 
	clr R2
	sts _cursorposition,R2
	.dbline 633
; 				break;
	xjmp L236
L240:
	.dbline 635
; 		    case LF:
; 				if(lineptr==LINE4) ShiftUpLine();
	lds R24,_lineptr
	cpi R24,96
	brne L241
X125:
	.dbline 635
	xcall _ShiftUpLine
	xjmp L236
L241:
	.dbline 636
;  				else IncrementLinePtr();
	xcall _IncrementLinePtr
	.dbline 637
; 				break;
	xjmp L236
L243:
	.dbline 639
; 		    case 0x01:
; 				LCD_Vsymbol(ON); 
	ldi R16,1
	xcall _LCD_Vsymbol
	.dbline 640
; 				break;
	xjmp L236
L244:
	.dbline 642
; 		    case 0x02:
; 				LCD_Vsymbol(OFF);  
	clr R16
	xcall _LCD_Vsymbol
	.dbline 643
; 				break;
	xjmp L236
L245:
	.dbline 645
; 		    case 0x03:
; 				LCD_Dsymbol(ON); 
	ldi R16,1
	xcall _LCD_Dsymbol
	.dbline 646
; 				break;
	xjmp L236
L246:
	.dbline 648
; 		    case 0x04:
; 				LCD_Dsymbol(OFF);  
	clr R16
	xcall _LCD_Dsymbol
	.dbline 649
; 				break;
	xjmp L236
L247:
	.dbline 651
; 		    case 0x05:
; 				LCD_Rsymbol(ON); 
	ldi R16,1
	xcall _LCD_Rsymbol
	.dbline 652
; 				break;
	xjmp L236
L248:
	.dbline 654
; 		    case 0x06:
; 				LCD_Rsymbol(OFF);  
	clr R16
	xcall _LCD_Rsymbol
	.dbline 655
; 				break;
	xjmp L236
L249:
	.dbline 657
; 		    case 0x07:
; 				LCD_Envelope(ON); 
	ldi R16,1
	xcall _LCD_Envelope
	.dbline 658
; 				break;
	xjmp L236
L250:
	.dbline 660
; 		    case 0x08:
; 				LCD_Envelope(OFF);  
	clr R16
	xcall _LCD_Envelope
	.dbline 661
; 				break;
	xjmp L236
L235:
	.dbline 663
; 			default:
; 			    SendCharToDisplay(inchar);
	mov R16,R10
	xcall _SendCharToDisplay
	.dbline 664
; 				break;
L236:
	.dbline 666
; 			}
; 		  }
L234:
L232:
L230:
	.dbline 667
; 		}
L228:
	.dbline -2
L226:
	.dbline 0 ; func end
	xjmp pop_xgset300C
	.dbsym r inchar 10 c
	.dbend
	.dbfunc e ParseStrg _ParseStrg fV
;              i -> R10
;         instrg -> R12,R13
	.even
_ParseStrg::
	xcall push_xgset003C
	movw R12,R16
	.dbline -1
	.dbline 673
; }
; 
; 
; 
; void ParseStrg(unsigned char *instrg)
; {
	.dbline 676
;  	 unsigned char i;
; 	 
; 	 for(i=0; i<strlen(instrg); i++)  ParseChar(instrg[i]);
	clr R10
	xjmp L256
L253:
	.dbline 676
	mov R30,R10
	clr R31
	add R30,R12
	adc R31,R13
	ldd R16,z+0
	xcall _ParseChar
L254:
	.dbline 676
	inc R10
L256:
	.dbline 676
	movw R16,R12
	xcall _strlen
	mov R2,R10
	clr R3
	cp R2,R16
	cpc R3,R17
	brlo L253
X135:
	.dbline -2
L252:
	.dbline 0 ; func end
	xjmp pop_xgset003C
	.dbsym r i 10 c
	.dbsym r instrg 12 pc
	.dbend
	.dbfunc e PutStringinBuffer _PutStringinBuffer fV
;              i -> R20
;           strg -> R14,R15
;         column -> R10
;            row -> R12
	.even
_PutStringinBuffer::
	xcall push_xgset30FC
	mov R10,R18
	mov R12,R16
	sbiw R28,1
	ldd R14,y+9
	ldd R15,y+10
	.dbline -1
	.dbline 680
; }
; 
; void PutStringinBuffer(unsigned char row,unsigned char column,char *strg)
; {	 
	.dbline 683
; 	 unsigned char i;
; 	 
; 	 for(i=0; i<strlen(strg); i++)  PutCharinBuffer(row,column+i,strg[i]);
	clr R20
	xjmp L261
L258:
	.dbline 683
	mov R30,R20
	clr R31
	add R30,R14
	adc R31,R15
	ldd R2,z+0
	std y+0,R2
	mov R18,R10
	add R18,R20
	mov R16,R12
	xcall _PutCharinBuffer
L259:
	.dbline 683
	inc R20
L261:
	.dbline 683
	movw R16,R14
	xcall _strlen
	mov R2,R20
	clr R3
	cp R2,R16
	cpc R3,R17
	brlo L258
X136:
	xjmp L263
L262:
	.dbline 685
; 	 while (i<12)
; 	 {
	.dbline 686
; 	  PutCharinBuffer(row,column+i,' ');
	ldi R24,32
	std y+0,R24
	mov R18,R10
	add R18,R20
	mov R16,R12
	xcall _PutCharinBuffer
	.dbline 687
; 	  i++;
	inc R20
	.dbline 688
; 	 }
L263:
	.dbline 684
	cpi R20,12
	brlo L262
X137:
	.dbline -2
L257:
	.dbline 0 ; func end
	adiw R28,1
	xjmp pop_xgset30FC
	.dbsym r i 20 c
	.dbsym r strg 14 pc
	.dbsym r column 10 c
	.dbsym r row 12 c
	.dbend
	.dbfunc e GetLine _GetLine fc
;            row -> R16
	.even
_GetLine::
	.dbline -1
	.dbline 692
; }
; 
; unsigned char GetLine(unsigned char row)
; {
	.dbline 693
;     if(row==0) return LINE1;
	tst R16
	brne L266
X138:
	.dbline 693
	ldi R16,48
	xjmp L265
L266:
	.dbline 694
; 	if(row==1) return LINE2;
	cpi R16,1
	brne L268
X139:
	.dbline 694
	ldi R16,64
	xjmp L265
L268:
	.dbline 695
; 	if(row==2) return LINE3;
	cpi R16,2
	brne L270
X140:
	.dbline 695
	ldi R16,80
	xjmp L265
L270:
	.dbline 696
; 	if(row==3) return LINE4;
	cpi R16,3
	brne L272
X141:
	.dbline 696
	ldi R16,96
	xjmp L265
L272:
	.dbline 697
; 	return LINE1;
	ldi R16,48
	.dbline -2
L265:
	.dbline 0 ; func end
	ret
	.dbsym r row 16 c
	.dbend
	.dbfunc e Display_Voltage_Volume _Display_Voltage_Volume fV
;         column -> R1
;            row -> R0
	.even
_Display_Voltage_Volume::
	.dbline -1
	.dbline 701
; }
; 
; void Display_Voltage_Volume(unsigned char row,unsigned char column)
; {
	.dbline -2
L274:
	.dbline 0 ; func end
	ret
	.dbsym l column 2 c
	.dbsym l row 0 c
	.dbend
	.dbfunc e Display_Voltage_Reference _Display_Voltage_Reference fV
;         column -> R1
;            row -> R0
	.even
_Display_Voltage_Reference::
	.dbline -1
	.dbline 712
;  	/* char strg[5];
;  	 int analogvalue;
; 	 
; 	 PutStringinBuffer(row,column,"Volt v=");
; 	 bytetohex(voltagevolume);
; 	 strcpy(strg,hexbyte);
; 	 PutStringinBuffer(row,column+7,hexbyte);*/
; }
; 
; void Display_Voltage_Reference(unsigned char row,unsigned char column)
; {
	.dbline 713
; ;
	.dbline -2
L275:
	.dbline 0 ; func end
	ret
	.dbsym l column 2 c
	.dbsym l row 0 c
	.dbend
	.dbfunc e Adjust_VoltageVolume _Adjust_VoltageVolume fV
	.even
_Adjust_VoltageVolume::
	.dbline -1
	.dbline 730
; /*
;  	 char strg[5];
;  	 int analogvalue,newvoltvol;
; 	 
; 	 PutStringinBuffer(row,column,"Analog0=");
;  	 analogvalue = Read_ADC(0);
; 	  
; 	 bytetohex((analogvalue>>8)&0xff);
; 	 strcpy(strg,hexbyte);
; 	 bytetohex((analogvalue&0x00ff));
; 	 strcat(strg,hexbyte);
; 	 PutStringinBuffer(row,column+8,strg);
; 	 */
; }
; 
; void  Adjust_VoltageVolume()
; {
	.dbline 733
; 	// if((voltagevolume=(1+(574-Read_ADC(0))/14))>0x0f) 
; //	 if((voltagevolume=(1+(554-Read_ADC(0))/14))>0x0f) 
; 	     voltagevolume = 0x0c;
	ldi R24,12
	sts _voltagevolume,R24
	.dbline -2
L276:
	.dbline 0 ; func end
	ret
	.dbend
	.dbfunc e Display_Display_Parameters _Display_Display_Parameters fV
	.even
_Display_Display_Parameters::
	.dbline -1
	.dbline 737
; 	// LCDwritecommand(LCDVOLREG|voltagevolume); 
; }
; void Display_Display_Parameters()
; {
	.dbline -2
L277:
	.dbline 0 ; func end
	ret
	.dbend
	.dbfunc e DisplayPointPattern _DisplayPointPattern fV
	.even
_DisplayPointPattern::
	.dbline -1
	.dbline 763
; /*
; 	if(flip2==ON) {
; 		//LCD_Symbols(ON);
; 		Display_Voltage_Reference(0,0);
; 		Display_Voltage_Volume(1,0);
; 		DisplayTime(3,0);
; 		LED_Power(OFF);
; 		//LCD_LED_Power(ON);
; 		flip2 = YES;
; 		//line4[11] = '.';
;     	DisplayLCDBuffers();
; 		}
; 	else {
; 		//line4[11] = ' ';
; 		//LCD_Symbols(OFF);	
;     	DisplayLCDBuffers();
; 		//LCD_LED_Power(OFF);
; 		LED_Power(ON);
; 		flip2 = NO;
; 		}
; 	mseccountdown2 = 250;
; 	*/
; }
; 
; void DisplayPointPattern()
; {
	.dbline 764
; 	Delaymsec(750);
	ldi R16,750
	ldi R17,2
	xcall _Delaymsec
	.dbline 765
; 	line4[7] = '.';
	ldi R24,46
	sts _line4+7,R24
	.dbline 766
; 	DisplayLCDBuffers();
	xcall _DisplayLCDBuffers
	.dbline 767
; 	Delaymsec(750);
	ldi R16,750
	ldi R17,2
	xcall _Delaymsec
	.dbline 768
; 	line4[8] = '.';
	ldi R24,46
	sts _line4+8,R24
	.dbline 769
; 	DisplayLCDBuffers();
	xcall _DisplayLCDBuffers
	.dbline 770
; 	Delaymsec(750);
	ldi R16,750
	ldi R17,2
	xcall _Delaymsec
	.dbline 771
; 	line4[9] = '.';
	ldi R24,46
	sts _line4+9,R24
	.dbline 772
; 	DisplayLCDBuffers();
	xcall _DisplayLCDBuffers
	.dbline 773
; 	Delaymsec(750);
	ldi R16,750
	ldi R17,2
	xcall _Delaymsec
	.dbline 774
; 	line4[10] = '.';
	ldi R24,46
	sts _line4+10,R24
	.dbline 775
; 	DisplayLCDBuffers();
	xcall _DisplayLCDBuffers
	.dbline 776
; 	Delaymsec(750);
	ldi R16,750
	ldi R17,2
	xcall _Delaymsec
	.dbline 777
; 	line4[11] = '.';
	ldi R24,46
	sts _line4+11,R24
	.dbline 778
; 	DisplayLCDBuffers();
	xcall _DisplayLCDBuffers
	.dbline 779
; 	Delaymsec(750);
	ldi R16,750
	ldi R17,2
	xcall _Delaymsec
	.dbline -2
L278:
	.dbline 0 ; func end
	ret
	.dbend
	.dbfunc e Display_Count _Display_Count fV
	.even
_Display_Count::
	.dbline -1
	.dbline 783
; }
; 
; void Display_Count()
; {
	.dbline -2
L284:
	.dbline 0 ; func end
	ret
	.dbend
	.dbfunc e SplashScreen _SplashScreen fV
	.even
_SplashScreen::
	.dbline -1
	.dbline 797
;  	/*char outstrg[12];
; 	
; 	rtccountdown1 = 256;
; 	bytetohex((count>>8)&0xff);
; 	strcpy(outstrg,hexbyte);
; 	bytetohex((count&0x00ff));
; 	strcat(outstrg,hexbyte);
; 	PutStringinBuffer(2,0,"count=");
; 	PutStringinBuffer(2,6,outstrg);
; 	count++;*/
; }
; 
; void SplashScreen()
; {
	.dbline 798
; 	LoadSignon();
	xcall _LoadSignon
	.dbline 799
; 	LCD_Symbols(ON);
	ldi R16,1
	xcall _LCD_Symbols
	.dbline 800
; 	DisplayLCDBuffers();
	xcall _DisplayLCDBuffers
	.dbline 801
; 	DisplayPointPattern();
	xcall _DisplayPointPattern
	.dbline 802
; 	Clear_LCD();
	xcall _Clear_LCD
	.dbline 803
; 	Delaymsec(250);
	ldi R16,250
	ldi R17,0
	xcall _Delaymsec
	.dbline -2
L285:
	.dbline 0 ; func end
	ret
	.dbend
	.dbfunc e bytetoint _bytetoint fV
;           ones -> R20
;           tens -> R22
;           byte -> R10
	.even
_bytetoint::
	xcall push_xgsetF00C
	mov R10,R16
	.dbline -1
	.dbline 808
; }
; 
; 
; void bytetoint(unsigned char byte)
; {
	.dbline 811
;  	 unsigned char tens,ones;
; 	 
; 	 tens = byte/10;
	ldi R17,10
	mov R16,R10
	xcall div8u
	mov R22,R16
	.dbline 812
; 	 ones = byte%10;
	ldi R17,10
	mov R16,R10
	xcall mod8u
	mov R20,R16
	.dbline 813
; 	 hexbyte[0] = tens + '0';
	mov R24,R22
	subi R24,208    ; addi 48
	sts _hexbyte,R24
	.dbline 814
; 	 hexbyte[1] = ones + '0';
	mov R24,R20
	subi R24,208    ; addi 48
	sts _hexbyte+1,R24
	.dbline 815
; 	 hexbyte[2] = 0x00;
	clr R2
	sts _hexbyte+2,R2
	.dbline -2
L286:
	.dbline 0 ; func end
	xjmp pop_xgsetF00C
	.dbsym r ones 20 c
	.dbsym r tens 22 c
	.dbsym r byte 10 c
	.dbend
	.dbfunc e DisplayTime _DisplayTime fV
;         column -> R1
;            row -> R0
	.even
_DisplayTime::
	.dbline -1
	.dbline 821
; }
; 
; 
; 
; void DisplayTime(unsigned char row,unsigned char column)
; {
	.dbline 822
; ;
	.dbline -2
L289:
	.dbline 0 ; func end
	ret
	.dbsym l column 2 c
	.dbsym l row 0 c
	.dbend
	.dbfunc e Delay _Delay fV
;              a -> R16
;              b -> R18
	.even
_Delay::
	.dbline -1
	.dbline 841
; /*
;  	 char strg[9];
; 	 	
; 	 //PutStringinBuffer(column,"t=");
; 	 bytetoint(hours);
; 	 strcpy(strg,hexbyte);
; 	 strcat(strg,":");
; 	 bytetoint(minutes);
; 	 strcat(strg,hexbyte);
; 	 strcat(strg,":");
; 	 bytetoint(seconds);
; 	 strcat(strg,hexbyte);
; 	 PutStringinBuffer(row,column,strg);*/
; }
; 
; 
; 
; void Delay(void)
; {
	.dbline 844
; 	unsigned char a, b;
; 
; 	for (a = 1; a; a++)
	ldi R16,1
	xjmp L294
L291:
	.dbline 845
; 		for (b = 1; b; b++)
	ldi R18,1
	xjmp L298
L295:
	.dbline 846
; 			;
L296:
	.dbline 845
	inc R18
L298:
	.dbline 845
	tst R18
	brne L295
X142:
L292:
	.dbline 844
	inc R16
L294:
	.dbline 844
	tst R16
	brne L291
X143:
	.dbline -2
L290:
	.dbline 0 ; func end
	ret
	.dbsym r a 16 c
	.dbsym r b 18 c
	.dbend
	.dbfunc e ShortDelay _ShortDelay fV
;         inbyte -> R22
;              i -> R20,R21
;            cnt -> R16,R17
	.even
_ShortDelay::
	xcall push_xgsetF000
	.dbline -1
	.dbline 850
; }
; 
; void ShortDelay(int cnt)
; {
	.dbline 854
;  	unsigned char inbyte;
; 	int i;
; 	
;     for(i=0; i<cnt; i++)  {
	clr R20
	clr R21
	xjmp L303
L300:
	.dbline 854
	.dbline 855
; 	    inbyte = 0x55;
	ldi R22,85
	.dbline 856
; 		}
L301:
	.dbline 854
	subi R20,255  ; offset = 1
	sbci R21,255
L303:
	.dbline 854
	cp R20,R16
	cpc R21,R17
	brlt L300
X144:
	.dbline -2
L299:
	.dbline 0 ; func end
	xjmp pop_xgsetF000
	.dbsym r inbyte 22 c
	.dbsym r i 20 I
	.dbsym r cnt 16 I
	.dbend
	.dbfunc e LongDelay _LongDelay fV
;            cnt -> R20,R21
	.even
_LongDelay::
	st -y,R20
	st -y,R21
	movw R20,R16
	.dbline -1
	.dbline 860
; }
; 
; void LongDelay(int cnt)
; {
	xjmp L306
L305:
	.dbline 861
;  	 while(cnt > 0) {
	.dbline 862
; 	 	 Delay();
	xcall _Delay
	.dbline 863
; 		 cnt--;
	subi R20,1
	sbci R21,0
	.dbline 864
; 		 }
L306:
	.dbline 861
	clr R2
	clr R3
	cp R2,R20
	cpc R3,R21
	brlt L305
X145:
	.dbline -2
L304:
	.dbline 0 ; func end
	ld R21,y+
	ld R20,y+
	ret
	.dbsym r cnt 20 I
	.dbend
	.dbfunc e Delaymsec _Delaymsec fV
;     delayvalue -> R10,R11
	.even
_Delaymsec::
	xcall push_xgset003C
	movw R10,R16
	.dbline -1
	.dbline 868
; }
; 
; void Delaymsec(int delayvalue)
; {
	.dbline 870
;  	 
;  	 NutSleep(delayvalue);
	movw R16,R10
	movw R18,R12
	clr R18
	sbrc R17,7
	com R18
	clr R19
	sbrc R18,7
	com R19
	xcall _NutSleep
	.dbline -2
L308:
	.dbline 0 ; func end
	xjmp pop_xgset003C
	.dbsym r delayvalue 10 I
	.dbend
	.dbfunc e hextobyte _hextobyte fc
;         inbyte -> R16
	.even
_hextobyte::
	xcall push_xgsetF000
	.dbline -1
	.dbline 878
; 	 
; }
; 
; 
; 
; 
; unsigned char hextobyte(unsigned char inbyte)
; {
	.dbline 879
; 	 if((inbyte >= 'A')&(inbyte<='F')) return (inbyte - 'A' + 10);
	cpi R16,65
	brlo L312
X146:
	ldi R22,1
	ldi R23,0
	xjmp L313
L312:
	clr R22
	clr R23
L313:
	ldi R24,70
	cp R24,R16
	brlo L314
X147:
	ldi R20,1
	ldi R21,0
	xjmp L315
L314:
	clr R20
	clr R21
L315:
	movw R2,R22
	and R2,R20
	and R3,R21
	tst R2
	brne X148
	tst R3
	breq L310
X148:
	.dbline 879
	mov R24,R16
	subi R24,65
	subi R24,246    ; addi 10
	mov R16,R24
	xjmp L309
L310:
	.dbline 880
; 	 if((inbyte >= 'a')&(inbyte<='f')) return (inbyte - 'a' + 10);
	cpi R16,97
	brlo L318
X149:
	ldi R22,1
	ldi R23,0
	xjmp L319
L318:
	clr R22
	clr R23
L319:
	ldi R24,102
	cp R24,R16
	brlo L320
X150:
	ldi R20,1
	ldi R21,0
	xjmp L321
L320:
	clr R20
	clr R21
L321:
	movw R2,R22
	and R2,R20
	and R3,R21
	tst R2
	brne X151
	tst R3
	breq L316
X151:
	.dbline 880
	mov R24,R16
	subi R24,97
	subi R24,246    ; addi 10
	mov R16,R24
	xjmp L309
L316:
	.dbline 881
; 	 else return (inbyte - '0');
	subi R16,48
	.dbline -2
L309:
	.dbline 0 ; func end
	xjmp pop_xgsetF000
	.dbsym r inbyte 16 c
	.dbend
	.dbfunc e bytetohex _bytetohex fV
;         inchar -> <dead>
;         inbyte -> R20
;           byte -> R16
	.even
_bytetohex::
	st -y,R20
	.dbline -1
	.dbline 886
; }
; 
; //  Convert byte to ASCII hex
; void bytetohex(unsigned char byte)
; {
	.dbline 889
;     unsigned char inbyte,inchar;
; 	
; 	inbyte = byte & 0x0f;
	mov R20,R16
	andi R20,15
	.dbline 890
; 	if(inbyte > 9) hexbyte[1] = (inbyte - 9) + 0x40;
	ldi R24,9
	cp R24,R20
	brsh L323
X152:
	.dbline 890
	mov R24,R20
	subi R24,9
	subi R24,192    ; addi 64
	sts _hexbyte+1,R24
	xjmp L324
L323:
	.dbline 891
; 	else hexbyte[1] = 0x30 + inbyte;
	mov R24,R20
	subi R24,208    ; addi 48
	sts _hexbyte+1,R24
L324:
	.dbline 892
; 	inbyte = byte & 0xf0;
	mov R20,R16
	andi R20,240
	.dbline 893
; 	inbyte >>= 4;
	mov R24,R20
	swap R24
	andi R24,#0x0F
	mov R20,R24
	.dbline 894
; 	if(inbyte >9) hexbyte[0] = (inbyte - 9) + 0x40;
	ldi R24,9
	cp R24,R20
	brsh L327
X153:
	.dbline 894
	mov R24,R20
	subi R24,9
	subi R24,192    ; addi 64
	sts _hexbyte,R24
	xjmp L328
L327:
	.dbline 895
; 	else hexbyte[0] = 0x30 + inbyte;
	mov R24,R20
	subi R24,208    ; addi 48
	sts _hexbyte,R24
L328:
	.dbline 896
;     hexbyte[2] = 0x00;
	clr R2
	sts _hexbyte+2,R2
	.dbline -2
L322:
	.dbline 0 ; func end
	ld R20,y+
	ret
	.dbsym l inchar 1 c
	.dbsym r inbyte 20 c
	.dbsym r byte 16 c
	.dbend
	.area bss(ram, con, rel)
	.dbfile C:\DOCUME~1\Steve\Desktop\Billys_files\docs\AMBERW~1\WLP12S~1\test\WP12_LCD.c
_flip2::
	.blkb 1
	.dbsym e flip2 _flip2 c
_count::
	.blkb 2
	.dbsym e count _count i
_hexbyte::
	.blkb 3
	.dbsym e hexbyte _hexbyte A[3:3]c
_lcdchiptype::
	.blkb 1
	.dbsym e lcdchiptype _lcdchiptype c
_voltagevolume::
	.blkb 1
	.dbsym e voltagevolume _voltagevolume c
_symbolmode::
	.blkb 1
	.dbsym e symbolmode _symbolmode c
_lcdstate::
	.blkb 1
	.dbsym e lcdstate _lcdstate c
_lcdphoneantennasymbols::
	.blkb 1
	.dbsym e lcdphoneantennasymbols _lcdphoneantennasymbols c
_escmode::
	.blkb 1
	.dbsym e escmode _escmode c
_lineptr::
	.blkb 1
	.dbsym e lineptr _lineptr c
_colptr::
	.blkb 1
	.dbsym e colptr _colptr c
_rowptr::
	.blkb 1
	.dbsym e rowptr _rowptr c
_cursormax::
	.blkb 1
	.dbsym e cursormax _cursormax c
_cursorposition::
	.blkb 1
	.dbsym e cursorposition _cursorposition c
_line4::
	.blkb 13
	.dbsym e line4 _line4 A[13:13]c
_line3::
	.blkb 13
	.dbsym e line3 _line3 A[13:13]c
_line2::
	.blkb 13
	.dbsym e line2 _line2 A[13:13]c
_line1::
	.blkb 13
	.dbsym e line1 _line1 A[13:13]c
; }
; 
; 
