	.module httpserv.c
	.area text(rom, con, rel)
	.dbfile C:\ethernut-4.4.0\nutapptest\httpd\httpserv.c
	.dbfunc e main _main fI
;              i -> <dead>
;           baud -> y+2
;           temp -> R20
	.even
_main::
	sbiw R28,6
	.dbline -1
	.dbline 80
; /*
;  * Copyright (C) 2001-2004 by egnite Software GmbH. All rights reserved.
;  *
;  * Redistribution and use in source and binary forms, with or without
;  * modification, are permitted provided that the following conditions
;  * are met:
;  *
;  * 1. Redistributions of source code must retain the above copyright
;  *    notice, this list of conditions and the following disclaimer.
;  * 2. Redistributions in binary form must reproduce the above copyright
;  *    notice, this list of conditions and the following disclaimer in the
;  *    documentation and/or other materials provided with the distribution.
;  * 3. Neither the name of the copyright holders nor the names of
;  *    contributors may be used to endorse or promote products derived
;  *    from this software without specific prior written permission.
;  *
;  * THIS SOFTWARE IS PROVIDED BY EGNITE SOFTWARE GMBH AND CONTRIBUTORS
;  * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
;  * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
;  * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL EGNITE
;  * SOFTWARE GMBH OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
;  * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
;  * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
;  * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
;  * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
;  * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF
;  * THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
;  * SUCH DAMAGE.
;  *
;  * For additional information see http://www.ethernut.de/
;  *
;  */
; 
;  
; 
; 
; #include <cfg/os.h>
; 
; #include <string.h>
; #include <io.h>
; #include <fcntl.h>
; 
; #include <dev/board.h>
; #include <dev/urom.h>
; #include <dev/nplmmc.h>
; #include <dev/sbimmc.h>
; #include <fs/phatfs.h>
; 
; #include <sys/version.h>
; #include <sys/thread.h>
; #include <sys/timer.h>
; #include <sys/heap.h>
; #include <sys/confnet.h>
; #include <sys/socket.h>
; 
; #include <arpa/inet.h>
; #include <net/route.h>
; 
; #include <pro/httpd.h>
; #include <pro/dhcp.h>
; #include <pro/ssi.h>
; #include <pro/asp.h>
; #include <pro/discover.h>
; 
; 
; 
; #include "WP12_LEDs.h"
; #include "WP12_Buttons.h"
; #include "WP12_LCD.h"
; #include "WP12_KEY.h"
; 
; 
; 
; /*!
;  * \brief Main application routine.
;  *
;  * Nut/OS automatically calls this entry after initialization.
;  */
; int main(void)
; {
	.dbline 81
;     u_long baud = 115200;
	ldi R24,0
	ldi R25,194
	ldi R26,1
	ldi R27,0
	std y+2,R24
	std y+3,R25
	std y+4,R26
	std y+5,R27
	.dbline 90
;     u_char i;
; 	unsigned char temp;
; 	
; 	
; 
;     /*
;      * Initialize the uart device.
;      */
;     NutRegisterDevice(&DEV_DEBUG, 0, 0);
	clr R2
	std y+0,R2
	clr R18
	clr R19
	ldi R16,<_devDebug0
	ldi R17,>_devDebug0
	xcall _NutRegisterDevice
	.dbline 91
;     freopen(DEV_DEBUG_NAME, "w", stdout);
	lds R2,___iob+2
	lds R3,___iob+2+1
	std y+1,R3
	std y+0,R2
	ldi R18,<L3
	ldi R19,>L3
	ldi R16,<L2
	ldi R17,>L2
	xcall _freopen
	.dbline 92
;     _ioctl(_fileno(stdout), UART_SETSPEED, &baud);
	lds R16,___iob+2
	lds R17,___iob+2+1
	xcall __fileno
	movw R24,R28
	adiw R24,2
	std y+1,R25
	std y+0,R24
	ldi R18,257
	ldi R19,1
	xcall __ioctl
	.dbline 93
;     NutSleep(200);
	ldi R16,200
	ldi R17,0
	ldi R18,0
	ldi R19,0
	xcall _NutSleep
	.dbline 97
; 	
; 	
; 	
; 	printf("Amber WLP12 board\n");
	ldi R16,<L6
	ldi R17,>L6
	xcall _printf_M
	.dbline 98
; 	printf("SOC Robotics\n");
	ldi R16,<L7
	ldi R17,>L7
	xcall _printf_M
	.dbline 99
; 	printf("Use a keyboard connected to the board\n");
	ldi R16,<L8
	ldi R17,>L8
	xcall _printf_M
	.dbline 100
; 	printf("to write the COMM port\n");
	ldi R16,<L9
	ldi R17,>L9
	xcall _printf_M
	.dbline 102
; 	
; 	InitKEY();
	xcall _InitKEY
	.dbline 104
; 	
; 	turnOffLED(LED1);
	ldi R16,5
	xcall _turnOffLED
	.dbline 105
; 	turnOffLED(LED2);
	ldi R16,7
	xcall _turnOffLED
	.dbline 106
; 	InitLED();
	xcall _InitLED
	.dbline 107
; 	InitButtons();
	xcall _InitButtons
	.dbline 108
; 	Init_LCD();
	xcall _Init_LCD
	.dbline 109
;     Clear_LCD();
	xcall _Clear_LCD
	.dbline 111
; 	
;     SplashScreen();
	xcall _SplashScreen
	xjmp L11
L10:
	.dbline 114
;  	
; 	while (1)
; 	{
	.dbline 115
; 	 	  if (buttonState(SW1) == ON)
	ldi R16,5
	xcall _buttonState
	cpi R16,1
	brne L13
X0:
	.dbline 116
; 		  {
	.dbline 117
; 		   	 turnOnLED(LED1);
	ldi R16,5
	xcall _turnOnLED
	.dbline 118
; 		  }
	xjmp L14
L13:
	.dbline 120
; 		  else
; 		  {
	.dbline 121
; 		   	  turnOffLED(LED1);
	ldi R16,5
	xcall _turnOffLED
	.dbline 122
; 		  }
L14:
	.dbline 124
; 		  
; 		  if (buttonState(SW2) == ON)
	ldi R16,6
	xcall _buttonState
	mov R20,R16
	cpi R16,1
	brne L15
X1:
	.dbline 125
; 		  {
	.dbline 126
; 		   	 turnOnLED(LED2);
	ldi R16,7
	xcall _turnOnLED
	.dbline 127
; 		  }
	xjmp L16
L15:
	.dbline 129
; 		  else
; 		  {
	.dbline 130
; 		   	  turnOffLED(LED2);
	ldi R16,7
	xcall _turnOffLED
	.dbline 131
; 		  }
L16:
	.dbline 133
; 		  
; 		  temp = getKey();
	xcall _getKey
	mov R10,R16
	mov R20,R10
	.dbline 135
; 		  
; 		  if (temp == 13)
	cpi R16,13
	brne L17
X2:
	.dbline 136
; 		     temp = '\n';
	ldi R20,10
L17:
	.dbline 139
; 			 
; 			 
; 		  printf("%c",temp);
	mov R18,R20
	clr R19
	ldi R16,<L19
	ldi R17,>L19
	xcall _printf_M
	.dbline 141
; 		  
; 		  NutSleep(150);
	ldi R16,150
	ldi R17,0
	ldi R18,0
	ldi R19,0
	xcall _NutSleep
	.dbline 142
; 	}
L11:
	.dbline 113
	xjmp L10
X3:
	.dbline -2
L1:
	.dbline 0 ; func end
	adiw R28,6
	ret
	.dbsym l i 3 c
	.dbsym l baud 2 l
	.dbsym r temp 20 c
	.dbend
	.area data(ram, con, rel)
	.dbfile C:\ethernut-4.4.0\nutapptest\httpd\httpserv.c
L19:
	.blkb 3
	.area idata
	.byte 37,'c,0
	.area data(ram, con, rel)
	.dbfile C:\ethernut-4.4.0\nutapptest\httpd\httpserv.c
L9:
	.blkb 24
	.area idata
	.byte 't,'o,32,'w,'r,'i,'t,'e,32,'t,'h,'e,32,'C,'O,'M
	.byte 'M,32,'p,'o,'r,'t,10,0
	.area data(ram, con, rel)
	.dbfile C:\ethernut-4.4.0\nutapptest\httpd\httpserv.c
L8:
	.blkb 39
	.area idata
	.byte 'U,'s,'e,32,'a,32,'k,'e,'y,'b,'o,'a,'r,'d,32,'c
	.byte 'o,'n,'n,'e,'c,'t,'e,'d,32,'t,'o,32,'t,'h,'e,32
	.byte 'b,'o,'a,'r,'d,10,0
	.area data(ram, con, rel)
	.dbfile C:\ethernut-4.4.0\nutapptest\httpd\httpserv.c
L7:
	.blkb 14
	.area idata
	.byte 'S,'O,'C,32,'R,'o,'b,'o,'t,'i,'c,'s,10,0
	.area data(ram, con, rel)
	.dbfile C:\ethernut-4.4.0\nutapptest\httpd\httpserv.c
L6:
	.blkb 19
	.area idata
	.byte 'A,'m,'b,'e,'r,32,'W,'L,'P,49,50,32,'b,'o,'a,'r
	.byte 'd,10,0
	.area data(ram, con, rel)
	.dbfile C:\ethernut-4.4.0\nutapptest\httpd\httpserv.c
L3:
	.blkb 2
	.area idata
	.byte 'w,0
	.area data(ram, con, rel)
	.dbfile C:\ethernut-4.4.0\nutapptest\httpd\httpserv.c
L2:
	.blkb 6
	.area idata
	.byte 'u,'a,'r,'t,48,0
	.area data(ram, con, rel)
	.dbfile C:\ethernut-4.4.0\nutapptest\httpd\httpserv.c
; 
; }
